<?php
// Version: 1.1 ; BoardIndex

function template_main()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	echo '<div class="linktree">', theme_linktree(), '</div>';
		
	// Nooooooooooooooooooooo  news fader No Sp1 etc... hihihihih

	/* Each category in categories is made up of:
	id, href, link, name, is_collapsed (is it collapsed?), can_collapse (is it okay if it is?),
	new (is it new?), collapse_href (href to collapse/expand), collapse_image (up/down image),
	and boards. (see below.) */
	$first = true;
	foreach ($context['categories'] as $category)
	{
		echo '
		<div class="catbgplus">';
		$first = false;

		// If this category even can collapse, show a link to collapse it.
		if ($category['can_collapse'])		
			echo '
				<a href="', $category['collapse_href'], '"></a>';

		echo '
				', $category['link'], '
												
		</div>

		<div class="extboard">
 <div class="btop"><div class="btopmid"><div class="btopc"></div></div></div>
 <div class="bmid">
  <div class="bmidc">
   <div class="bmids">';

		// Assuming the category hasn't been collapsed...
		if (!$category['is_collapsed'])
		{
			
			/* Each board in each category's boards has:
			new (is it new?), id, name, description, moderators (see below), link_moderators (just a list.),
			children (see below.), link_children (easier to use.), children_new (are they new?),
			topics (# of), posts (# of), link, href, and last_post. (see below.) */
			foreach ($category['boards'] as $board)
			{
				echo '				
				<div class="boardindex">				
				 <div class="boardtable">				 
				  <div class="indicator">
				  <a href="', $scripturl, '?action=unread;board=', $board['id'], '.0">';	
				// If the board is new, show a strong indicator.
				if ($board['new'])
					echo '<img src="', $settings['images_url'], '/on.gif" alt="', $txt[333], '" title="', $txt[333], '" />';
				// This board doesn't have new posts, but its children do.
				elseif ($board['children_new'])
					echo '<img src="', $settings['images_url'], '/on2.gif" alt="', $txt[333], '" title="', $txt[333], '" />';
				// No new posts at all! The agony!!
				else
					echo '<img src="', $settings['images_url'], '/off.gif" alt="', $txt[334], '" title="', $txt[334], '" />';					
				echo '</a>
				</div>
											
					<b><span class="', $board['new'] ? 'categoryb' : 'category', '"><a href="', $board['href'], '" name="b', $board['id'], '">', $board['name'], '</a></span></b>
					<span class="fx1">(', $board['posts'], ' ', $txt[21], '
					', $board['topics'],' ', $txt[330], ')</span>';			          
					
				  echo '<div class="nobold">
					', $board['description'], '
				</div>';					
			
				// Show the "Moderators: ". Each has name, href, link, and id. (but we're gonna use link_moderators.)
				if (!empty($board['moderators']))
					echo '
					<div class="moderators"><i>', count($board['moderators']) == 1 ? $txt[298] : $txt[299], ': ', implode(', ', $board['link_moderators']), '</i></div>';
					
					// Show some basic information about the number of posts, etc.
					echo '<div class="clear"></div>';					

					// Show the "Child Boards: ". (there's a link_children but we're going to bold the new ones...)
				if (!empty($board['children']))
				{
					// Sort the links into an array with new boards bold so it can be imploded.
					$children = array();
					/* Each child in each board's children has:
							id, name, description, new (is it new?), topics (#), posts (#), href, link, and last_post. */
					foreach ($board['children'] as $child)
					{
							$child['link'] = '<a href="' . $child['href'] . '" title="' . ($child['new'] ? $txt[333] : $txt[334]) . ' (' . $txt[330] . ': ' . $child['topics'] . ', ' . $txt[21] . ': ' . $child['posts'] . ')">' . $child['name'] . '</a>';
							$children[] = $child['new'] ? '<b>' . $child['link'] . '</b>' : $child['link'];
					}

				echo '<div class="parent"><b>', $txt['parent_boards'], '</b>: ', implode(', ', $children), '</div>';
				}
			    echo'
				</div>
					<div class="clear"></div>
					<div class="boardlast">
					<div class="celltab4">';   
				/* The board's and children's 'last_post's have:
				time, timestamp (a number that represents the time.), id (of the post), topic (topic id.),
				link, href, subject, start (where they should go for the first unread post.),
				and member. (which has id, name, link, href, username in it.) */
				if (!empty($board['last_post']['id']))
					echo '
						<b>', $txt[22], '</b>  ', $txt[525], ' ', $board['last_post']['member']['link'] , '
						', $txt['smf88'], ' ', $board['last_post']['link'], '
						', $txt[30], ' ', $board['last_post']['time'];
				echo '</div>
					
				    </div>
				
			</div>';	           			
			}
		}
					echo'			 
			</div></div></div>
 <div class="bbot"><div class="bbotmid"><div class="bbotc"></div></div></div>
</div>
			<!--end footer-->';
		
	}

	if ($context['user']['is_logged'])
	{
		
					echo '<div class="newsome">';
			echo '<img src="' . $settings['images_url'] . '/new_some.gif" alt="" /> '. $txt[333]. '<img src="' . $settings['images_url'] . '/new_none.gif" alt="" style="margin-left: 4ex;"/> '. $txt[334]. '';
			echo '</div>';	
		
					// Show the mark all as read button?
		if ($settings['show_mark_read'] && !empty($context['categories']))
				echo '					
					<div class="prosomenu"><ul><li style="float:', !$context['right_to_left'] ? 'right' : 'left', '">
					<a href="', $scripturl, '?action=markasread;sa=all;sesc=' . $context['session_id'] . '">', $txt[452], '</a></ul></li></div>';
			
		
	}
	
		// Here's where the "Info Center" starts...
	echo '<div id="infocenter">
		   
			<div class="cont fb c"><a href="#" onclick="shrinkHeaderIC(!current_header_ic); return false;"><span id="upshrink_ic">', $txt[685], '</span></a></div>
			
			<div class="extboard">
 <div class="btop"><div class="btopmid"><div class="btopc"></div></div></div> 
 <div class="bmid">
  <div class="bmidc">
   <div class="bmids">
		    
		<div id="upshrinkHeaderIC"', empty($options['collapse_header_ic']) ? '' : ' style="display: none;"', '>';

		echo '';
		
			// This is the "Recent Posts" bar.
	if (!empty($settings['number_recent_posts']))
	{
		echo '<div class="sp1head">
			<a href="', $scripturl, '?action=recent">', $txt[214], '</a>
		</div>';

		// Only show one post.
		if ($settings['number_recent_posts'] == 1)
		{
			// latest_post has link, href, time, subject, short_subject (shortened with...), and topic. (its id.)
			echo '<div class="celllast1">				
							', $context['latest_post']['link'], '&quot; ', $txt[235], ' (', $context['latest_post']['time'], ')
					</div>';
		}
		// Show lots of posts.
		elseif (!empty($context['latest_posts']))
		{
			   	/* Each post in latest_posts has:
				board (with an id, name, and link.), topic (the topic's id.), poster (with id, name, and link.),
				subject, short_subject (shortened with...), time, link, and href. */
			foreach ($context['latest_posts'] as $post)
				echo '
						<div class="celllast1"><b>', $post['link'], '</b> ', $txt[525], ' ', $post['poster']['link'], ' (', $post['board']['link'], ') - ', $post['time'], '</div>';
			echo '
					';
		}
		 echo '';
	}		
		
		 echo '';
		 
		// Show information about events, birthdays, and holidays on the calendar.
	if ($context['show_calendar'])
	{
		echo '
				<div class="sp1head"><a href="', $scripturl, '?action=calendar">', $context['calendar_only_today'] ? $txt['calendar47b'] : $txt['calendar47'], '</a></div>
			
			
		  	<div class="calendar_more">';

		// Holidays like "Christmas", "Chanukah", and "We Love [Unknown] Day" :P.
		if (!empty($context['calendar_holidays']))
				echo '
							<span style="color: #', $modSettings['cal_holidaycolor'], ';">', $txt['calendar5'], ' ', implode(', ', $context['calendar_holidays']), '</span><br />';

		// People's birthdays. Like mine. And yours, I guess. Kidding.
		if (!empty($context['calendar_birthdays']))
		{
				echo '
							<span style="color: #', $modSettings['cal_bdaycolor'], ';">', $context['calendar_only_today'] ? $txt['calendar3'] : $txt['calendar3b'], '</span> ';
		/* Each member in calendar_birthdays has:
				id, name (person), age (if they have one set?), is_last. (last in list?), and is_today (birthday is today?) */
		foreach ($context['calendar_birthdays'] as $member)
				echo '
							<a href="', $scripturl, '?action=profile;u=', $member['id'], '">', $member['is_today'] ? '<b>' : '', $member['name'], $member['is_today'] ? '</b>' : '', isset($member['age']) ? ' (' . $member['age'] . ')' : '', '</a>', $member['is_last'] ? '<br />' : ', ';
		}
		// Events like community get-togethers.
		if (!empty($context['calendar_events']))
		{
			echo '
							<span style="color: #', $modSettings['cal_eventcolor'], ';">', $context['calendar_only_today'] ? $txt['calendar4'] : $txt['calendar4b'], '</span> ';
			/* Each event in calendar_events should have:
					title, href, is_last, can_edit (are they allowed?), modify_href, and is_today. */
			foreach ($context['calendar_events'] as $event)
				echo '
							', $event['can_edit'] ? '<a href="' . $event['modify_href'] . '" style="color: #FF0000;">*</a> ' : '', $event['href'] == '' ? '' : '<a href="' . $event['href'] . '">', $event['is_today'] ? '<b>' . $event['title'] . '</b>' : $event['title'], $event['href'] == '' ? '' : '</a>', $event['is_last'] ? '<br />' : ', ';

			// Show a little help text to help them along ;).
			if ($context['calendar_can_edit'])
				echo '
							(<a href="', $scripturl, '?action=helpadmin;help=calendar_how_edit" onclick="return reqWin(this.href);">', $txt['calendar_how_edit'], '</a>)';
		}
		echo '						
					</div>';
	}
	
		// Show YaBB SP1 style information...
	if ($settings['show_sp1_info'])
	{
		echo '
				<div class="sp1">
				
					<div class="sp1head"><a href="', $scripturl, '?action=stats">', $txt[645], '</a></div>
					<div class="celllast1">
						
							', $context['common_stats']['total_posts'], ' ', $txt[95], ' ', $txt['smf88'], ' ', $context['common_stats']['total_topics'], ' ', $txt[64], ' ', $txt[525], ' ', $context['common_stats']['total_members'], ' ', $txt[19], '. ', $txt[656], ': <b> ', $context['common_stats']['latest_member']['link'], '</b>
							<br /> ' . $txt[659] . ': <b>&quot;' . $context['latest_post']['link'] . '&quot;</b>  ( ' . $context['latest_post']['time'] . ' )<br />
							<a href="', $scripturl, '?action=recent">', $txt[234], '</a>', $context['show_stats'] ? '<br />
							<a href="' . $scripturl . '?action=stats">' . $txt['smf223'] . '</a>' : '', '
						
					</div>		 
		</div>';
	}

	// "Users online" - in order of activity.	
	echo '
				<div class="sp1head"><a href="' . $scripturl . '?action=who">', $txt[158], '</a></div>		
					<div class="celllast1">';
	echo '	', $context['show_who'] ? '<a href="' . $scripturl . '?action=who">' : '', $context['num_guests'], ' ', $context['num_guests'] == 1 ? $txt['guest'] : $txt['guests'], ', ' . $context['num_users_online'], ' ', $context['num_users_online'] == 1 ? $txt['user'] : $txt['users'];

	// Handle hidden users and buddies.
	if (!empty($context['num_users_hidden']) || ($context['show_buddies'] && !empty($context['show_buddies'])))
	{
		echo ' (';

		// Show the number of buddies online?
		if ($context['show_buddies'])
			echo $context['num_buddies'], ' ', $context['num_buddies'] == 1 ? $txt['buddy'] : $txt['buddies'];

		// How about hidden users?
		if (!empty($context['num_users_hidden']))
			echo $context['show_buddies'] ? ', ' : '', $context['num_users_hidden'] . ' ' . $txt['hidden'];

		echo ')';
	}

	echo $context['show_who'] ? '</a>' : '', '
						<span class="smalltext">';

	// Assuming there ARE users online... each user in users_online has an id, username, name, group, href, and link.
	if (!empty($context['users_online']))
		echo '
							', $txt[140], ':<br />', implode(', ', $context['list_users_online']);

	echo '
							<br />
							', $context['show_stats'] && !$settings['show_sp1_info'] ? '<a href="' . $scripturl . '?action=stats">' . $txt['smf223'] . '</a>' : '', '
						</span></div>				
				
					<div class="cont2 fx1">
						
							', $txt['most_online_today'], ': <b>', $modSettings['mostOnlineToday'], '</b>.
							', $txt['most_online_ever'], ': ', $modSettings['mostOnline'], ' (' , timeformat($modSettings['mostDate']), ')
						
					</div>';

	// If they are logged in, but SP1 style information is off... show a personal message bar.
	
	 if ($context['user']['is_logged'] && !$settings['show_sp1_info'])
	{
		 echo '
				<div class="sp1head"><a href="', $scripturl, '?action=pm">', $txt[159], '</a></div>								
					<div class="celllast1">
						
							', $txt[660], ' ', $context['user']['messages'], ' ', $context['user']['messages'] == 1 ? $txt[471] : $txt[153], '... ', $txt[661], ' <a href="', $scripturl, '?action=pm">', $txt[662], '</a> ', $txt[663], '					
				</div>';
	}
	
	// Show the login bar. (it's only true if they are logged out anyway.)
	if ($context['show_login_bar']) 
	{
		echo '				
					<div class="labs lbq c">', $txt[34], ' <a href="', $scripturl, '?action=reminder" class="smalltext">(' . $txt[315] . ')</a></div>
								
					<div class="cont c fx0">
						<form action="', $scripturl, '?action=login2" method="post" accept-charset="', $context['character_set'], '">
									<label for="user"><b>', $txt[35], ':</b>
									<input type="text" name="user" id="user" size="15" /></label>
									<label for="cookielength"><b>', $txt[497], ':</b>
									<input type="text" name="cookielength" id="cookielength" size="4" maxlength="4" value="', $modSettings['cookieTime'], '" /></label><br />	

										
									<label for="passwrd"><b>', $txt[36], ':</b>
									<input type="password" name="passwrd" id="passwrd" size="15" /></label>
														
									
															
									<label for="cookieneverexp"><b>', $txt[508], ':</b>
									<input type="checkbox" name="cookieneverexp" id="cookieneverexp" checked="checked" class="check" /></label>
		<input type="submit" value="', $txt[34], '"/>												
											
						   </form>
						</div>';
	}

	echo '	
	 </div>	

</div></div></div>
	       <div class="bbot"><div class="bbotmid"><div class="bbotc"></div></div></div>
             </div>	
	 
	</div>';
		
}

?>