<?php
// Version: 1.1; Display

function template_main()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

    loadLanguage('Profile');
	// Show the anchor for the top and for the first message. If the first message is new, say so.
	echo '
<a name="top"></a>
<a name="msg', $context['first_message'], '"></a>', $context['first_new_message'] ? '<a name="new"></a>' : '';

		// Show the linktree
echo '<div class="linktree">', theme_linktree(), '</div>';

	// Is this topic also a poll?
	if ($context['is_poll'])
	{
		echo '
		<div class="sp1">
		<div class="extboard">
 <div class="btop"><div class="btopmid"><div class="btopc"></div></div></div>
 <div class="bmid">
  <div class="bmidc">
   <div class="bmids">
		<div class="multihead">', $txt['smf43'], '</div>
			</div></div></div>
 <div class="bbot"><div class="bbotmid"><div class="bbotc"></div></div></div>
</div>		
		<div class="cont fx2">';
		echo '<b>', $txt['smf21'], ': </b>', $context['poll']['question'];
		echo '<br /><br />';
	
		if (!empty($context['poll']['expire_time']))
			echo '
					&nbsp;(', ($context['poll']['is_expired'] ? $txt['poll_expired_on'] : $txt['poll_expires_on']), ': ', $context['poll']['expire_time'], ')';

		// Are they not allowed to vote but allowed to view the options?
		if ($context['poll']['show_results'] || !$context['allow_vote'])
		{
			echo '';

				// Show each option with its corresponding percentage bar.
			foreach ($context['poll']['options'] as $option)
				echo '', $option['option'], '', $context['allow_poll_view'] ? '
								' . $option['bar'] . ' ' . $option['votes'] . ' (' . $option['percent'] . '%)' : '', '<br />';
            if ($context['user']['is_logged'])
	{
			echo '<div class="prosomenu"><ul>';					
			// If they are allowed to revote - show them a link!
			if ($context['allow_change_vote'])
				echo '
					<li><a href="', $scripturl, '?action=vote;topic=', $context['current_topic'], '.', $context['start'], ';poll=', $context['poll']['id'], ';sesc=', $context['session_id'], '">', $txt['poll_change_vote'], '</a></li>';
           		   	
			// If we're viewing the results... maybe we want to go back and vote?
			if ($context['poll']['show_results'] && $context['allow_vote'])
				echo '
						<li><a href="', $scripturl, '?topic=', $context['current_topic'], '.', $context['start'], '">', $txt['poll_return_vote'], '</a></li>';
					
			// If they're allowed to lock the poll, show a link!
			if ($context['poll']['lock'])
				echo '
						<li><a href="', $scripturl, '?action=lockVoting;topic=', $context['current_topic'], '.', $context['start'], ';sesc=', $context['session_id'], '">', !$context['poll']['is_locked'] ? $txt['smf30'] : $txt['smf30b'], '</a></li>';

			// If they're allowed to edit the poll... guess what... show a link!
			if ($context['poll']['edit'])
				echo '
						<li><a href="', $scripturl, '?action=editpoll;topic=', $context['current_topic'], '.', $context['start'], '">', $txt['smf39'], '</a></li>';
           
            echo'</ul></div>';
    }			
			echo '', $context['allow_poll_view'] ? '
				
					<b>' . $txt['smf24'] . ': ' . $context['poll']['total_votes'] . '</b>
				' : '', '
			<br />';
		}
		// They are allowed to vote! Go to it!
		else
		{
			echo '
			<form action="', $scripturl, '?action=vote;topic=', $context['current_topic'], '.', $context['start'], ';poll=', $context['poll']['id'], '" method="post" accept-charset="', $context['character_set'], '">';				

			// Show a warning if they are allowed more than one option.
			if ($context['poll']['allowed_warning'])
				echo '
							', $context['poll']['allowed_warning'], '';

			// Show each option with its button - a radio likely.
			foreach ($context['poll']['options'] as $option)
				echo '
							', $option['vote_button'], ' ', $option['option'], '<br />';
							
							echo '<br />';
			// Allowed to view the results? (without voting!)
			if ($context['allow_poll_view'])
				echo '
							<a href="', $scripturl, '?topic=', $context['current_topic'], '.', $context['start'], ';viewResults">', $txt['smf29'], '</a><br />';

			// Show a link for locking the poll as well...
			if ($context['poll']['lock'])
				echo '
							<a href="', $scripturl, '?action=lockVoting;topic=', $context['current_topic'], '.', $context['start'], ';sesc=', $context['session_id'], '">', (!$context['poll']['is_locked'] ? $txt['smf30'] : $txt['smf30b']), '</a><br />';

			// Want to edit it? Click right here......
			if ($context['poll']['edit'])
				echo '
							<a href="', $scripturl, '?action=editpoll;topic=', $context['current_topic'], '.', $context['start'], '">', $txt['smf39'], '</a>';
						
				echo '					
						<br /><br /><input type="submit" value="', $txt['smf23'], '" />					
				
				<input type="hidden" name="sc" value="', $context['session_id'], '" />
			</form>';
		}

		echo '	
  </div>
</div>';
	}

	// Does this topic have some events linked to it?
	if (!empty($context['linked_calendar_events']))
	{
		echo '<div class="extboard">
 <div class="btop"><div class="btopmid"><div class="btopc"></div></div></div>
 <div class="bmid">
  <div class="bmidc">
   <div class="bmids">
				<div class="multihead">
						', $txt['calendar_linked_events'], '
				</div>	
</div></div></div>
 <div class="bbot"><div class="bbotmid"><div class="bbotc"></div></div></div>
</div>						
				<div class="cont fx2">
						<ul>';
		foreach ($context['linked_calendar_events'] as $event)
			echo '
								<li>
									', ($event['can_edit'] ? '<a href="' . $event['modify_href'] . '" style="color: red;">*</a> ' : ''), '<b>', $event['title'], '</b>: ', $event['start_date'], ($event['start_date'] != $event['end_date'] ? ' - ' . $event['end_date'] : ''), '
								</li>';
		echo '
						</ul>
				</div>';
	}

	// Show the page index... "Pages: [1]".
	echo '<div class="sp1"><div class="prosomenu"><ul>', theme_show_buttons(), '</ul></div>
	<div class="pageindex">', $context['previous_next'], '</div>
	<div class="pageindex"><span class="pagenavbar">
				', $txt[139], ': ', $context['page_index'],'</span>';
    echo !empty($modSettings['topbottomEnable']) ? $context['menu_separator'] . '<a href="#bot"><b>' . $txt['topbottom5'] . '</b></a>' : '', '</div>
	</div>';

	// Show the topic information - icon, subject, etc.
	echo '<div class="sp1">
	
	<div class="extboard">
 <div class="btop"><div class="btopmid"><div class="btopc"></div></div></div>
 <div class="bmid">
  <div class="bmidc">
   <div class="bmids">   
	<div class="displayhead"><b>', $txt[118], ':</b> ', $context['subject'], ' &nbsp;<span class="smalltext">(', $txt[641], ' ', $context['num_views'], ' ', $txt[642], '</span>)
	   </div>
				</div></div></div>
 <div class="bbot"><div class="bbotmid"><div class="bbotc"></div></div></div>
</div>

</div>';	
      
	if (!empty($settings['display_who_viewing']))
	{
				
		echo '<div class="whoview">';

		// Show just numbers...?
		if ($settings['display_who_viewing'] == 1)
				echo count($context['view_members']), ' ', count($context['view_members']) == 1 ? $txt['who_member'] : $txt[19];
		// Or show the actual people viewing the topic?
		else
			echo empty($context['view_members_list']) ? '0 ' . $txt[19] : implode(', ', $context['view_members_list']) . ((empty($context['view_num_hidden']) || $context['can_moderate_forum']) ? '' : ' (+ ' . $context['view_num_hidden'] . ' ' . $txt['hidden'] . ')');

		// Now show how many guests are here too.
		echo $txt['who_and'], $context['view_num_guests'], ' ', $context['view_num_guests'] == 1 ? $txt['guest'] : $txt['guests'], $txt['who_viewing_topic'], '';
				
		echo '</div>';
	}	

	echo '
<form action="', $scripturl, '?action=quickmod2;topic=', $context['current_topic'], '.', $context['start'], '" method="post" accept-charset="', $context['character_set'], '" name="quickModForm" id="quickModForm" style="margin: 0;" onsubmit="return in_edit_mode == 1 ? modify_save(\'' . $context['session_id'] . '\') : confirm(\'' . $txt['quickmod_confirm'] . '\');">';

//start new deal-----------------------------------------------------------------------------------------------
echo '   
<div class="msgstyle">';

// Get all the messages...
  while ($message = $context['get_message']())
  {     
  				$message['nowtime'] = $message['timestamp'];
				$message['imgday'] = date('d',$message['nowtime']);
                $message['imgdayname'] = date ('l',$message['nowtime']);
                $message['imgmonth'] = date('M',$message['nowtime']);
	            $message['imgyear'] = date('Y',$message['nowtime']);
				
	        // Utra Sebastian Tip for Show PNG Groups | If  images/languages/xxx.png exist then GO else english...
	$dayname = file_exists($settings['theme_dir'] . '/images/' . $context['user']['language'] . '/' . $message['imgdayname'] . '.png') ? '<div class="imgd1"><img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/'. $message['imgdayname'] .'.png" alt=""/></div>' : '<div class="imgd1"><img src="' . $settings['images_url'] . '/english/'. $message['imgdayname'] .'.png" alt=""/></div>';
	$daynum = file_exists($settings['theme_dir'] . '/images/days/' . $message['imgday'] . '.png') ? '<div class="imgd2"><img src="' . $settings['images_url'] . '/days/'. $message['imgday'] .'.png" alt=""/></div>' : '';     
	$monnum = file_exists($settings['theme_dir'] . '/images/' . $context['user']['language'] . '/' . $message['imgmonth'] . '.png') ? '<div class="imgd3"><img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/'. $message['imgmonth'] .'.png" alt=""/></div>' : '<div class="imgd1"><img src="' . $settings['images_url'] . '/english/'. $message['imgmonth'] .'.png" alt=""/></div>';
	
		  // Utra Sebastian Tip 
		echo '<div class="msgone">';
				
		echo '<div class="', $message['alternate'] == 0 ? 'postmsg' : 'postmsg2', '">';
		// Show avatars, images, etc.?
		
		$avatwidth = ($modSettings['avatar_max_width_upload'] ? $modSettings['avatar_max_width_upload'] : '100');
		$avatheight = ($modSettings['avatar_max_height_upload'] ? $modSettings['avatar_max_height_upload'] : '100');
		
		$paddbar=($modSettings['avatar_max_width_upload'] ? $modSettings['avatar_max_width_upload']+25 : $modSettings['avatar_max_width_upload']+125);
		$margbar=($modSettings['avatar_max_width_upload'] ? $modSettings['avatar_max_width_upload']+15 : $modSettings['avatar_max_width_upload']+115);
		$maravat=$modSettings['avatar_max_height_upload'] ? '-62' : '-62';
		
		echo '<div class="rs" style="margin-bottom:1px;"><b class="b1"></b><b class="b2"></b><b class="b3"></b><b class="b4"></b></div>';
		
		
						if (empty($settings['hide_graphic_date']))
	     {
		echo '<div class="imgdate">
		', $dayname ,'', $daynum  ,'', $monnum  ,'<div class="imgyear">', $message['imgyear'] , '</div>		
		</div>';	
		 }
		
		
	    echo '<div class="msgbartop">';
		
			// Show the message anchor and a "new" anchor if this message is new. 
		if ($message['id'] != $context['first_message'])
		{
			echo'<a name="msg', $message['id'], '"></a>', $message['first_new'] ? '<a name="new"></a>' : '';
		}
		echo '</div>';
		 		
		echo '<div class="msgbar" style="padding:0px 2px 2px 12px;"><span class="largetext">', $message['member']['link'], '</span>&#32;&#187;';	
			// Show the member's custom title, if they have one.
		if (isset($message['member']['title']) && $message['member']['title'] != '')
			echo '
								', $message['member']['title'], '&#32;&#187;';
								
		// Show the member's primary group (like 'Administrator') if they have one.
		if (isset($message['member']['group']) && $message['member']['group'] != '')
		{	
			echo ' ', $message['member']['group'], '&#32;&#187;';					
		}	
	
				// Don't show these things for guests.
		if (!$message['member']['is_guest'])
		{
		  
          // Show online and offline buttons?
			if (!empty($modSettings['onlineEnable']) && !$message['member']['is_guest'])
				echo '
								', $context['can_send_pm'] ? '<a href="' . $message['member']['online']['href'] . '" title="' . $message['member']['online']['label'] . '">' : '', $settings['use_image_buttons'] ? '<img src="' . $message['member']['online']['image_href'] . '" alt="' . $message['member']['online']['text'] . '"  border="0" />' : $message['member']['online']['text'], $context['can_send_pm'] ? '</a>' : '', $settings['use_image_buttons'] ? '<span class="smalltext"> ' . $message['member']['online']['text'] . '</span>' : '', '&#32;&#187;';					


        // Show the member's gender icon?
			if (!empty($settings['show_gender']) && $message['member']['gender']['image'] != '')
				echo '
								', $txt[231], ': ', $message['member']['gender']['image'], '&#32;&#187;';
								
		  // This shows the popular messaging icons.
			echo '
								', $message['member']['icq']['link'], '
								', $message['member']['msn']['link'], '
								', $message['member']['aim']['link'], '
								', $message['member']['yim']['link'], '';
								
			// Show the profile, website, email address, and personal message buttons.
			if ($settings['show_profile_buttons'])
			{
				// Don't show the profile button if you're not allowed to view the profile.
				if ($message['member']['can_view_profile'])
					echo '
								<a href="', $message['member']['href'], '"><img src="' . $settings['images_url'] . '/icons/profile_sm.gif" alt="' . $txt[27] . '" title="' . $txt[27] . '" border="0" /></a>';

				// Don't show an icon if they haven't specified a website.
				if ($message['member']['website']['url'] != '')
					echo '
								<a href="', $message['member']['website']['url'], '" title="' . $message['member']['website']['title'] . '" target="_blank"><img src="' . $settings['images_url'] . '/www_sm.gif" alt="' . $txt[515] . '" border="0" /></a>';

				// Don't show the email address if they want it hidden.
				if (empty($message['member']['hide_email']))
					echo '
								<a href="mailto:', $message['member']['email'], '"><img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt[69] . '" title="' . $txt[69] . '" border="0" /></a>';

				// Since we know this person isn't a guest, you *can* message them.
				if ($context['can_send_pm'])
					echo '
								<a href="', $scripturl, '?action=pm;sa=send;u=', $message['member']['id'], '" title="', $message['member']['online']['label'], '"><img src="' . $settings['images_url'] . '/im_' . ($message['member']['online']['is_online'] ? 'on' : 'off') . '.gif" alt="' . $message['member']['online']['label'] . '"  border="0" /></a>&#32;&#187;';
			}					
		}
		
		// Otherwise, show the guest's email.
		elseif (empty($message['member']['hide_email']))
			echo '
								<a href="mailto:', $message['member']['email'], '"><img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt[69] . '" title="' . $txt[69] . '" border="0" /></a>';
		
		echo '</div>';						
		echo '<div class="msgbar2" style="padding:0px 2px 2px ', $paddbar ,'px;">';
		
				// Don't show these things for guests.
		if (!$message['member']['is_guest'])
		{
			
			echo '
								', $message['member']['group_stars'], '&#32;&#187; ';				
			
			// Show their personal text?
			if (!empty($settings['show_blurb']) && $message['member']['blurb'] != '')
				{
				echo '', $message['member']['blurb'], '&#32;&#187;';	
				}
			if ($context['user']['is_logged'] && !empty($message['member']['location']))
	           {	
			echo ' ', $txt[227], ': ', $message['member']['location'], '&#32;&#187;';	
			   }							
			// Is karma display enabled?  Total or +/-?
			if ($modSettings['karmaMode'] == '1')
				echo '
								
								', $modSettings['karmaLabel'], ' ', $message['member']['karma']['good'] - $message['member']['karma']['bad'], '&#32;&#187;';
			elseif ($modSettings['karmaMode'] == '2')
				echo '
								
								', $modSettings['karmaLabel'], ' +', $message['member']['karma']['good'], '/-', $message['member']['karma']['bad'], '&#32;&#187;';

			// Is this user allowed to modify this member's karma?
			if ($message['member']['karma']['allow'])
				echo '
								<a href="', $scripturl, '?action=modifykarma;sa=applaud;uid=', $message['member']['id'], ';topic=', $context['current_topic'], '.' . $context['start'], ';m=', $message['id'], ';sesc=', $context['session_id'], '">', $modSettings['karmaApplaudLabel'], '</a>
								<a href="', $scripturl, '?action=modifykarma;sa=smite;uid=', $message['member']['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';m=', $message['id'], ';sesc=', $context['session_id'], '">', $modSettings['karmaSmiteLabel'], '</a>';
						
		}						
		
		echo '</div>';	
		
		echo '<div class="msgbar2" style="margin:1px 0px 0px ', $margbar ,'px;">';
		
		if (!empty($message['member']['registered']))
		echo '', $txt[233], ': ', $message['member']['registered'], '&#32;&#187;';
		
		echo '</div>';
		        // Show how many posts they have made, last Logged in.
				echo '<div class="msgbar2" style="margin:1px 0px 0px ', $margbar ,'px;">';
			
			if (!$message['member']['is_guest'])
			{	   
                 		// Show the post group if and only if they have no other group or the option is on, and they are in a post group.
			if ((empty($settings['hide_post_group']) || $message['member']['group'] == '') && $message['member']['post_group'] != '')			
				echo '
								', $message['member']['post_group'], '&#32;&#187;';
			}	   
				   if (!empty($message['member']['posts']))
					{
				echo ' ', $txt[26], ': ', $message['member']['posts'], '&#32;&#187; ';
				    }
				else echo '';				  
						
		if ($context['user']['is_logged'] && isset($message['member']['last_login']))	
		echo '', $txt['lastLoggedIn'], ': ', $message['member']['last_login'], '&#32;&#187;';
		
		echo '</div>';		
			
		echo '<div class="rs" style="margin:1px 0px 0px ', $margbar ,'px;"><b class="b4"></b><b class="b3"></b><b class="b2"></b><b class="b1"></b></div>';
		
			if (!empty($settings['show_user_images']) && empty($options['show_no_avatars']) && !empty($message['member']['avatar']['image']))
			{
			echo '<div class="avatarimg" style="margin:', $maravat ,'px 0 0 10px;width:', $avatwidth, 'px;height:', $avatheight, 'px;">', $message['member']['avatar']['image'], '</div>';
			} 	
	 	   
	   // If this is the first post, (#0) just say when it was posted - otherwise give the reply #.
		echo '<div class="postsubj">
		<span style="font-weight: bold;" id="subject_', $message['id'], '">
			<a href="', $message['href'], '">', $message['subject'], '</a></span>
			<span class="smalltext">&#171; <b>', !empty($message['counter']) ? $txt[146] . ' #' . $message['counter'] : '', ' ', $txt[30], ':</b> ', $message['time'], ' &#187;</span></div>
			';
		
		echo '<div class="postcell"><div class="post"', $message['can_modify'] ? ' id="msg_' . $message['id'] . '"' : '', '>', $message['body'], '<span>
		
		', $message['can_modify'] ? '<img src="' . $settings['images_url'] . '/icons/modify_inline.gif" alt="" align="right" id="modify_button_' . $message['id'] . '" style="cursor: pointer; display: none;" onclick="modify_msg(\'' . $message['id'] . '\', \'' . $context['session_id'] . '\')" />' : '' , '</span>
		
		</div>';
		
				// Show " Last Edit: Time by Person " if this post was edited.
		if ($settings['show_modify'] && !empty($message['modified']['name']))
			echo '<span class="smalltext" id="modified_', $message['id'], '">
									&#171; <i>', $txt[211], ': ', $message['modified']['time'], ' ', $txt[525], ' ', $message['modified']['name'], '</i> &#187;</span>';
		
		echo '</div>';
        
		echo '<div class="cont fx0 l">';
		
		// Assuming there are attachments...
		if (!empty($message['attachment']))
		{
			echo '';
			foreach ($message['attachment'] as $attachment)
			{
				if ($attachment['is_image'])
				{
					if ($attachment['thumbnail']['has_thumb'])
						echo '
									<a href="', $attachment['href'], ';image" id="link_', $attachment['id'], '" onclick="', $attachment['thumbnail']['javascript'], '"><img src="', $attachment['thumbnail']['href'], '" alt="" id="thumb_', $attachment['id'], '" border="0" /></a><br />';
					else
						echo '
									<img src="' . $attachment['href'] . ';image" alt="" width="' . $attachment['width'] . '" height="' . $attachment['height'] . '" border="0" /><br />';
				}
				echo '
										<a href="' . $attachment['href'] . '"><img src="' . $settings['images_url'] . '/icons/clip.gif" align="middle" alt="*" border="0" />&nbsp;' . $attachment['name'] . '</a> (', $attachment['size'], ($attachment['is_image'] ? ', ' . $attachment['real_width'] . 'x' . $attachment['real_height'] . ' - ' . $txt['attach_viewed'] : ' - ' . $txt['attach_downloaded']) . ' ' . $attachment['downloads'] . ' ' . $txt['attach_times'] . '.)<br />';
			}

		}
		
		echo '</div>';
		
		echo '<div class="modrep" style="margin:0 0 0 ', $margbar ,'px;">';
		
		// Maybe they want to report this post to the moderator(s)?
		if ($context['can_report_moderator'])
			echo '
									<a href="', $scripturl, '?action=reporttm;topic=', $context['current_topic'], '.', $message['counter'], ';msg=', $message['id'], '">', $txt['rtm1'], '</a>';
		echo '
									<img src="', $settings['images_url'], '/ip.gif" align="middle" alt="" border="0" />';

		// Show the IP to this user for this post - because you can moderate?
		if ($context['can_moderate_forum'] && !empty($message['member']['ip']))
			echo '
									<a href="', $scripturl, '?action=trackip;searchip=', $message['member']['ip'], '">', $message['member']['ip'], '</a> <a href="', $scripturl, '?action=helpadmin;help=see_admin_ip" onclick="return reqWin(this.href);" class="help">(?)</a>';
		// Or, should we show it because this is you?
		elseif ($message['can_see_ip'])
			echo '
									<a href="', $scripturl, '?action=helpadmin;help=see_member_ip" onclick="return reqWin(this.href);" class="help">', $message['member']['ip'], '</a>';
		// Okay, are you at least logged in?  Then we can show something about why IPs are logged...
		elseif (!$context['user']['is_guest'])
			echo '
									<a href="', $scripturl, '?action=helpadmin;help=see_member_ip" onclick="return reqWin(this.href);" class="help">', $txt[511], '</a>';
		// Otherwise, you see NOTHING!
		else
			echo '
									', $txt[511];
		
		echo '</div>';
		
		if (($context['user']['is_logged']) && (($context['can_reply']) || ($message['can_modify']) || ($message['can_remove']) || ($context['can_split'])))
	{
		
		echo '<div id="butmsg" style="margin:1px 0px 0px ', $margbar ,'px;">';
		
		// Can they reply?  Have they turned on quick reply?
		if ($context['can_reply'] && !empty($options['display_quick_reply']))
			echo '
									<a href="', $scripturl, '?action=post;quote=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';num_replies=', $context['num_replies'], ';sesc=', $context['session_id'], '" onclick="doQuote(', $message['id'], ', \'', $context['session_id'], '\'); return false;">', $txt[145], '</a> - ';
		// So... quick reply is off, but they *can* reply?
		elseif ($context['can_reply'])
			echo '
									<a href="', $scripturl, '?action=post;quote=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';num_replies=', $context['num_replies'], ';sesc=', $context['session_id'], '">', $txt[145], '</a> - ';

		// Can the user modify the contents of this post?
		if ($message['can_modify'])
			echo '
									<a href="', $scripturl, '?action=post;msg=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';sesc=', $context['session_id'], '">', $txt[17], '</a> - ';

		// How about... even... remove it entirely?!
		if ($message['can_remove'])
			echo '
									<a href="', $scripturl, '?action=deletemsg;topic=', $context['current_topic'], '.', $context['start'], ';msg=', $message['id'], ';sesc=', $context['session_id'], '" onclick="return confirm(\'', $txt[154], '?\');">', $txt[31], '</a> - ';

		// What about splitting it off the rest of the topic?
		if ($context['can_split'])
			echo '
									<a href="', $scripturl, '?action=splittopics;topic=', $context['current_topic'], '.0;at=', $message['id'], '">', $txt['smf251'], '</a>';

		// Show a checkbox for quick moderation?
		if (!empty($options['display_quick_mod']) && $options['display_quick_mod'] == 1 && $message['can_remove'])
			echo '
									<input type="checkbox" name="msgs[]" value="', $message['id'], '" class="check" onclick="document.getElementById(\'quickmodSubmit\').style.display = \'\';" />';		
		
		echo '</div>';
	}	
		if (!empty($message['member']['signature']) && empty($options['show_no_signatures']))
		{
		echo '<div class="signat" style="margin:0 0 0 ', $margbar ,'px;">';
			// Show the member's signature?		
			echo '<div class="catbgplus" style="font-size:12px;">', $txt[85], '</div>
			<span class="rs" style="width:auto;"><b class="b1"></b><b class="b2"></b><b class="b3"></b><b class="b4"></b></span>
<div class="proinfosp" style="margin:0px;overflow:auto;">
							', $message['member']['signature'], '</div>
							<span class="rs" style="width:auto;"><b class="b4"></b><b class="b3"></b><b class="b2"></b><b class="b1"></b>
</span></div>';
		}	
			
		  echo'</div>
		  </div>';       
		
		
}

//end new deal----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------				
echo'
</div><a name="lastPost"></a>';

	echo '<div class="pageindex"><span class="pagenavbar">
				', $txt[139], ': ', $context['page_index'], '</span>';
	echo !empty($modSettings['topbottomEnable']) ? $context['menu_separator'] . '<a href="#top"><b>' . $txt['topbottom4'] . '</b></a>' : '', '</div>
	<div class="pageindex">', $context['previous_next'], '</div>';

	 $tsb=theme_show_buttons();

    if (($context['user']['is_logged']) && ($tsb!=''))
	{
	  echo '<div class="prosomenu"><ul>', theme_show_buttons(), '</ul></div>';
	}
	

	if ($context['show_spellchecking'])
		echo '
<script language="JavaScript" type="text/javascript" src="' . $settings['default_theme_url'] . '/spellcheck.js"></script>';

echo '
<script language="JavaScript" type="text/javascript" src="' . $settings['default_theme_url'] . '/xml_topic.js"></script>
<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
	quickReplyCollapsed = ', !empty($options['display_quick_reply']) && $options['display_quick_reply'] == 2 ? 'false' : 'true', ';

	smf_topic = ', $context['current_topic'], ';
	smf_start = ', $context['start'], ';
	smf_show_modify = ', $settings['show_modify'] ? '1' : '0', ';

	// On quick modify, this is what the body will look like.
	var smf_template_body_edit = \'<div id="error_box" style="padding: 4px; color: red;"></div><textarea class="editor" name="message" rows="12" style="width: 94%; margin-bottom: 10px;">%body%</textarea><br /><input type="hidden" name="sc" value="', $context['session_id'], '" /><input type="hidden" name="topic" value="', $context['current_topic'], '" /><input type="hidden" name="msg" value="%msg_id%" /><div style="text-align: center;"><input type="submit" name="post" value="', $txt[10], '" onclick="return modify_save(\\\'' . $context['session_id'] . '\\\');" accesskey="s" />&nbsp;&nbsp;', $context['show_spellchecking'] ? '<input type="button" value="' . $txt['spell_check'] . '" onclick="spellCheck(\\\'quickModForm\\\', \\\'message\\\');" />&nbsp;&nbsp;' : '', '<input type="submit" name="cancel" value="', $txt['modify_cancel'], '" onclick="return modify_cancel();" /></div>\';

	// And this is the replacement for the subject.
	var smf_template_subject_edit = \'<input type="text" name="subject" value="%subject%" size="60" style="width: 99%;"  maxlength="80" />\';

	// Restore the message to this after editing.
	var smf_template_body_normal = \'%body%\';
	var smf_template_subject_normal = \'<a href="', $scripturl, '?topic=', $context['current_topic'], '.msg%msg_id%#msg%msg_id%">%subject%</a>\';
	var smf_template_top_subject = "', $txt[118], ': %subject% &nbsp;(', $txt[641], ' ', $context['num_views'], ' ', $txt[642], ')"

	if (window.XMLHttpRequest)
		showModifyButtons();
// ]]></script>';

   $tsmb=theme_show_mod_buttons();

    if (($context['user']['is_logged']) && ($tsmb!=''))
	{
	echo '<div class="prosomenu"><ul>', theme_show_mod_buttons() , '</ul></div>';
    }
	if (!empty($options['display_quick_mod']) && $options['display_quick_mod'] == 1 && $context['can_remove_post'])
		echo '
	<input type="hidden" name="sc" value="', $context['session_id'], '" />';	
		
		if (empty($settings['use_tabs']))
		echo '<div class="cont l">
		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
		document.getElementById("quickmodSubmit").style.display = "none";
	// ]]></script></div>';
	
	echo '</form>';
        
	echo '
<div class="topiclstother" align="', !$context['right_to_left'] ? 'right' : 'left', '">
	<form action="', $scripturl, '" method="get" accept-charset="', $context['character_set'], '" style="padding:0; margin: 0;">
		<span class="smalltext">' . $txt[160] . ':</span>
		<select name="jumpto" id="jumpto" onchange="if (this.selectedIndex > 0 &amp;&amp; this.options[this.selectedIndex].value) window.location.href = smf_scripturl + this.options[this.selectedIndex].value.substr(smf_scripturl.indexOf(\'?\') == -1 || this.options[this.selectedIndex].value.substr(0, 1) != \'?\' ? 0 : 1);">
			<option value="">' . $txt[251] . ':</option>';
	foreach ($context['jump_to'] as $category)
	{
		echo '
			<option value="" disabled="disabled">-----------------------------</option>
			<option value="#', $category['id'], '">', $category['name'], '</option>
			<option value="" disabled="disabled">-----------------------------</option>';
		foreach ($category['boards'] as $board)
			echo '
			<option value="?board=', $board['id'], '.0"', $board['is_current'] ? ' selected="selected"' : '', '> ' . str_repeat('==', $board['child_level']) . '=> ' . $board['name'] . '</option>';
	}
	echo '
		</select>&nbsp;
		<input type="button" value="', $txt[161], '" onclick="if (this.form.jumpto.options[this.form.jumpto.selectedIndex].value) window.location.href = \'', $scripturl, '\' + this.form.jumpto.options[this.form.jumpto.selectedIndex].value;" />
	</form>
</div>';

	if ($context['can_reply'] && !empty($options['display_quick_reply']))
	{
		echo '<div class="cont l">
			<a href="javascript:swapQuickReply();"><img src="', $settings['images_url'], '/', $options['display_quick_reply'] == 2 ? 'collapse' : 'expand', '.gif" alt="+" id="quickReplyExpand" /></a> <a href="javascript:swapQuickReply();"><span class="middletext">', $txt['quick_reply_1'], '</span><br /></a>
	<span class="smalltext" id="quickReplyOptions"', $options['display_quick_reply'] == 2 ? '' : ' style="display:none;"', '>
		', $txt['quick_reply_2'], $context['is_locked'] ? '<br /><br /><b>' . $txt['quick_reply_warning'] . '</b>' : '', '
		<form action="', $scripturl, '?action=post2" method="post" accept-charset="', $context['character_set'], '" name="postmodify" id="postmodify" onsubmit="submitonce(this);" style="margin: 0;">
				<input type="hidden" name="topic" value="' . $context['current_topic'] . '" />
				<input type="hidden" name="subject" value="' . $txt['response_prefix'] . $context['subject'] . '" />
				<input type="hidden" name="icon" value="xx" />
				<input type="hidden" name="notify" value="', $context['is_marked_notify'] || !empty($options['auto_notify']) ? '1' : '0', '" />
				<input type="hidden" name="goback" value="', empty($options['return_to_post']) ? '0' : '1', '" />
				<input type="hidden" name="num_replies" value="', $context['num_replies'], '" />
				<textarea cols="75" rows="7" style="width: 95%; height: 100px;" name="message" tabindex="1"></textarea><br />
				<input type="submit" name="post" value="' . $txt[105] . '" onclick="return submitThisOnce(this);" accesskey="s" tabindex="2" />
				<input type="submit" name="preview" value="' . $txt[507] . '" onclick="return submitThisOnce(this);" accesskey="p" tabindex="4" />';
		if ($context['show_spellchecking'])
			echo '
				<input type="button" value="', $txt['spell_check'], '" onclick="spellCheck(\'postmodify\', \'message\');" />';
		echo '
				<input type="hidden" name="sc" value="' . $context['session_id'] . '" />
				<input type="hidden" name="seqnum" value="', $context['form_sequence_number'], '" />
			</form>
</div>';

		if ($context['show_spellchecking'])
			echo '<div class="topiclstother">
<form name="spell_form" id="spell_form" method="post" accept-charset="', $context['character_set'], '" target="spellWindow" action="', $scripturl, '?action=spellcheck"><input type="hidden" name="spellstring" value="" /></form></div>';
	}
		
	echo '<div class="linktree">', theme_linktree(), '</div>';

}

function theme_show_buttons()
{
	global $context, $settings, $options, $txt, $scripturl;

	$buttonArray = array();

	if ($context['can_reply'])
		$buttonArray[] = '<li><a href="' . $scripturl . '?action=post;topic=' . $context['current_topic'] . '.' . $context['start'] . ';num_replies=' . $context['num_replies'] . '">' . $txt[146] . '</a></li>';
    
	if ($context['can_mark_notify'])
		$buttonArray[] = '<li><a href="' . $scripturl . '?action=notify;sa=' . ($context['is_marked_notify'] ? 'off' : 'on') . ';topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '" onclick="return confirm(\'' . ($context['is_marked_notify'] ? $txt['notification_disable_topic'] : $txt['notification_enable_topic']) . '\');">' . $txt[131] . '</a></li>';
    
		// This is a special case; if they can see mark unread, put it at the top... otherwise show add poll.
	if ($context['user']['is_logged'] && $settings['show_mark_read'])
		$buttonArray[] = '<li><a href="' . $scripturl . '?action=markasread;sa=topic;t=' . $context['mark_unread_time'] . ';topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '">' . $txt['mark_unread'] . '</a></li>';
	elseif ($context['can_add_poll'])
		$buttonArray[] = '<li><a href="' . $scripturl . '?action=editpoll;add;topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '">' . $txt['add_poll'] . '</a></li>';

    if ($context['can_send_topic'])
		$buttonArray[] = '<li><a href="' . $scripturl . '?action=sendtopic;topic=' . $context['current_topic'] . '.0">' . $txt[707] . '</a></li>';
	
	$buttonArray[] = '<li><a href="' . $scripturl . '?action=printpage;topic=' . $context['current_topic'] . '.0" target="_blank">' . $txt[465] . '</a></li>';		

	return implode('', $buttonArray);
}

function theme_show_mod_buttons()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	$moderationButtons = array();

	if ($context['can_move'])
		$moderationButtons[] = '<li><a href="' . $scripturl . '?action=movetopic;topic=' . $context['current_topic'] . '.0">' . $txt[132] . '</a></li>';
	if ($context['can_delete'])
		$moderationButtons[] = '<li><a href="' . $scripturl . '?action=removetopic2;topic=' . $context['current_topic'] . '.0;sesc=' . $context['session_id'] . '" onclick="return confirm(\'' . $txt[162] . '\');">' . $txt[63] . '</a></li>';
	if ($context['can_lock'])
		$moderationButtons[] = '<li><a href="' . $scripturl . '?action=lock;topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '">' . (empty($context['is_locked']) ? $txt['smf279'] : $txt['smf280']) . '</a></li>';
	if ($context['can_sticky'])
		$moderationButtons[] = '<li><a href="' . $scripturl . '?action=sticky;topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '">' . (empty($context['is_sticky']) ? $txt['smf277'] : $txt['smf278']) . '</a></li>';
	if ($context['can_merge'])
		$moderationButtons[] = '<li><a href="' . $scripturl . '?action=mergetopics;board=' . $context['current_board'] . '.0;from=' . $context['current_topic'] . '">' . ($settings['use_image_buttons'] ? $txt['smf252'] : $txt['smf252']). '</a></li>';
	if ($context['can_remove_poll'])
		$moderationButtons[] = '<li><a href="' . $scripturl . '?action=removepoll;topic=' . $context['current_topic'] . '.' . $context['start'] . '" onclick="return confirm(\'' . $txt['poll_remove_warn'] . '\');">' . $txt['poll_remove'] . '</a></li>';

	if ($context['calendar_post'])
		$moderationButtons[] = '<li><a href="' . $scripturl . '?action=post;calendar;msg=' . $context['topic_first_message'] . ';topic=' . $context['current_topic'] . '.0;sesc=' . $context['session_id'] . '">' . $txt['calendar37'] . '</a></li>';

	if ($context['can_remove_post'] && !empty($options['display_quick_mod']) && $options['display_quick_mod'] == 1)
		$moderationButtons[] = '<li><a href="javascript:document.forms.quickModForm.submit();" id="quickmodSubmit">- ' . $txt['quickmod_delete_selected'] . '</a></li>';

	return implode('', $moderationButtons);
}
?>