<?php
// Version: 1.1.2; Login

// This is just the basic "login" form.
function template_login()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;

	echo '
		<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/sha1.js"></script>

		<form action="', $scripturl, '?action=login2" method="post" accept-charset="', $context['character_set'], '" name="frmLogin" id="frmLogin" style="margin-top: 4ex;"', empty($context['disable_login_hashing']) ? ' onsubmit="hashLoginPassword(this, \'' . $context['session_id'] . '\');"' : '', '>
				<div class="extboard">
 <div class="btop"><div class="btopmid"><div class="btopc"></div></div></div>
 <div class="bmid">
  <div class="bmidc">
   <div class="bmids"> 
				<div class="multihead">
						 ', $txt[34], '
					</div>
	</div></div></div>
 <div class="bbot"><div class="bbotmid"><div class="bbotc"></div></div></div>
</div>';

	// Did they make a mistake last time?
	if (isset($context['login_error']))
		echo '
				<div class="proinfospc">
						<b style="color: red;"><i>', $context['login_error'], '</i></b>
					</div>';

	// Or perhaps there's some special description for this time?
	if (isset($context['description']))
		echo '
				<div class="proinfosp">
						<b><i>', $context['description'], '</i></b>
					</div>';

	// Now just get the basic information - username, password, etc.
	echo '<div class="proinfospc">
				
					<b>', $txt[35], ':</b>
					<input type="text" name="user" size="20" value="', $context['default_username'], '" /><br />
				
					<b>', $txt[36], ':</b>
					<input type="password" name="passwrd" value="', $context['default_password'], '" size="20" /><br />
				
					<b>', $txt[497], ':</b>
					<input type="text" name="cookielength" size="4" maxlength="4" value="', $modSettings['cookieTime'], '"', $context['never_expire'] ? ' disabled="disabled"' : '', ' /><br />
				
					<b>', $txt[508], ':</b>
					<input type="checkbox" name="cookieneverexp"', $context['never_expire'] ? ' checked="checked"' : '', ' class="check" onclick="this.form.cookielength.disabled = this.checked;" />
				<br />';				
				
	// If they have deleted their account, give them a chance to change their mind.
	if (isset($context['login_show_undelete']))
		echo '<div class="proinfospc">
					<b style="color: red;">', $txt['undelete_account'], ':</b><br />
					<input type="checkbox" name="undelete" class="check" />	
					<input type="submit" value="', $txt[34], '" style="margin-top: 2ex;" /><br />
					<a href="', $scripturl, '?action=reminder">', $txt[315], '</a></div>';
		
		echo '<input type="submit" value="', $txt[34], '"  /><br /><br />
		<a href="', $scripturl, '?action=reminder">', $txt[315], '</a>
			<input type="hidden" name="hash_passwrd" value="" /></div>
		</form>';

	// Focus on the correct input - username or password.
	echo '
		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
			document.forms.frmLogin.', isset($context['default_username']) && $context['default_username'] != '' ? 'passwrd' : 'user', '.focus();
		// ]]></script>';
}

// Tell a guest to get lost or login!
function template_kick_guest()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;

	// This isn't that much... just like normal login but with a message at the top.
	echo '
		<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/sha1.js"></script>         
		<form action="', $scripturl, '?action=login2" method="post" accept-charset="', $context['character_set'], '" name="frmLogin" id="frmLogin"', empty($context['disable_login_hashing']) ? ' onsubmit="hashLoginPassword(this, \'' . $context['session_id'] . '\');"' : '', '>
			<div class="proinfosp">
			 <div class="multihead">
					', $txt[633], '</div>';				

	// Show the message or default message.
	echo '
					<div class="proinfosp">
						', empty($context['kick_message']) ? $txt[634] : $context['kick_message'], '<br />
						', $txt[635], ' <a href="', $scripturl, '?action=register">', $txt[636], '</a> ', $txt[637], '</div>';					

	// And now the login information.
	echo '
			<div class="proinfospc">
								<b>', $txt[35], ':</b>
								<input type="text" name="user" size="20" /><br />
							
								<b>', $txt[36], ':</b>
								<input type="password" name="passwrd" size="20" /><br />
							
								<b>', $txt[497], ':</b>
								<input type="text" name="cookielength" size="4" maxlength="4" value="', $modSettings['cookieTime'], '" /><br />
								<b>', $txt[508], ':</b>
								<input type="checkbox" name="cookieneverexp" class="check" onclick="this.form.cookielength.disabled = this.checked;" /><br /><br />
							
								<input type="submit" value="', $txt[34], '"  /><br />
								<a href="', $scripturl, '?action=reminder">', $txt[315], '</a>
			
            </div>
		   </div>
			<input type="hidden" name="hash_passwrd" value="" />
		</form>';

	// Do the focus thing...
	echo '
		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
			document.forms.frmLogin.user.focus();
		// ]]></script>';
		
		
}

// This is for maintenance mode.
function template_maintenance()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	// Display the administrator's message at the top.
	echo '
<form action="', $scripturl, '?action=login2" method="post" accept-charset="', $context['character_set'], '">
	<div class="proinfosp">
		<div class="labs lbq c">
			', $context['title'], '
		</div>
		
			<div class="proinfosp">', $context['description'], '</div>
		<div class="labs lbq c">', $txt[114], '</div>';			

	// And now all the same basic login stuff from before.
	echo '<div class="proinfospc">
			
						<b>', $txt[35], ':</b>
						<input type="text" name="user" size="15" /><br />
						<b>', $txt[36], ':</b>
						<input type="password" name="passwrd" size="10" /> &nbsp;<br />
					
						<b>', $txt[497], ':</b>
						<input type="text" name="cookielength" size="4" maxlength="4" value="', $modSettings['cookieTime'], '" /> &nbsp;<br />
						<b>', $txt[508], ':</b>
						<input type="checkbox" name="cookieneverexp" class="check" /><br />
					
						<input type="submit" value="', $txt[34], '" style="margin-top: 1ex; margin-bottom: 1ex;" />
					</div>
	
</form>';
}

// This is for the security stuff - makes administrators login every so often.
function template_admin_login()
{
	global $context, $settings, $options, $scripturl, $txt;

	// Since this should redirect to whatever they were doing, send all the get data.
	echo '
<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/sha1.js"></script>

<form action="', $scripturl, $context['get_data'], '" method="post" accept-charset="', $context['character_set'], '" name="frmLogin" id="frmLogin" onsubmit="hashAdminPassword(this, \'', $context['user']['username'], '\', \'', $context['session_id'], '\');">
	<div class="proinfospc">';	

	// We just need the password.
	echo '
		
				<b>', $txt[36], ':</b> <input type="password" name="admin_pass" size="24" /> <a href="', $scripturl, '?action=helpadmin;help=securityDisable_why" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" align="top" /></a><br />
				<input type="submit" value="', $txt[34], '"  />
		
	</div>';

	// Make sure to output all the old post data.
	echo $context['post_data'], '

	<input type="hidden" name="admin_hash_pass" value="" />
</form>';

	// Focus on the password box.
	echo '
<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
	document.forms.frmLogin.admin_pass.focus();
// ]]></script>';
}

// Activate your account manually?
function template_retry_activate()
{
	global $context, $settings, $options, $txt, $scripturl;

	// Just ask them for their code so they can try it again...
	echo '
		
		<form action="', $scripturl, '?action=activate;u=', $context['member_id'], '" method="post" accept-charset="', $context['character_set'], '">
			<div class="proinfospc">
				
					<div class="labs lbq c">', $context['page_title'], '</div>';

	// You didn't even have an ID?
	if (empty($context['member_id']))
		echo '
				
					', $txt['invalid_activation_username'], ':
					<input type="text" name="user" size="30" /><br />';

	echo '
				
					', $txt['invalid_activation_retry'], ':
					<input type="text" name="code" size="30" /><br />
				
					<input type="submit" value="', $txt['invalid_activation_submit'], '" />
				
			</div>
		</form>';
}

// Activate your account manually?
function template_resend()
{
	global $context, $settings, $options, $txt, $scripturl;

	// Just ask them for their code so they can try it again...
	echo '
		
		<form action="', $scripturl, '?action=activate;sa=resend" method="post" accept-charset="', $context['character_set'], '">
			<div class="proinfosp">
				<div class="labs lbq c">', $context['page_title'], '</div>
					
				<div class="proinfosp">
					', $txt['invalid_activation_username'], ':
					<input type="text" name="user" size="40" value="', $context['default_username'], '" /><br />
				
					', $txt['invalid_activation_new'], '<br />
				
					', $txt['invalid_activation_new_email'], ':
					<input type="text" name="new_email" size="40" /><br />
				
					', $txt['invalid_activation_password'], ':
					<input type="password" name="passwd" size="30" />
				</div>';
				

	if ($context['can_activate'])
		echo '
					<div class="proinfospc">', $txt['invalid_activation_known'], '<br />
				
					', $txt['invalid_activation_retry'], ':
					<input type="text" name="code" size="30" /></div>';
				

	echo '<div class="proinfospc">
					<input type="submit" value="', $txt['invalid_activation_resend'], '" />
				</div>
			</div>
		</form>';
}

?>