<?php
// Version: 1.1; Profile

// Template for the profile side bar - goes before any other profile template.
function template_profile_above()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;
	
	echo '<div class="profbig">';
	
		// Assuming there are actually some areas the user can visit...
	if (!empty($context['profile_areas']))
	{
		echo '<div class="profmenu">';
		// Loop through every area, displaying its name as a header.
		foreach ($context['profile_areas'] as $section)
		{
		echo '<div class="epikefalis">', $section['title'], '</div><div class="clear"></div>';							
			// For every section of the area display it, and bold it if it's the current area.
           echo '<div id="multimenu"><ul id="multitab">';
		            foreach ($section['areas'] as $i => $area)
				     if ($i == $context['menu_item_selected'])
					 echo '<li id="selected" style="float:none;">', $area, '</li>';
			        else
					 echo '<li style="float:none;">', $area, '</li>';	
		        
				     echo '</ul></div>';
		}		
		echo  '</div>';
	}
	
	
	// If no areas exist just open up a containing table.
	else
	{
		echo '<div class="profbig">';		
		
	}
 //undelete end ------------------------------------------------------------------------------------
	
		// If an error occured whilst trying to save previously, give the user a clue!
	if (!empty($context['post_errors']))
	{
		echo '
					<div class="winbg">', template_error_message(), '</div>';				
	}
	
}

// Template for closing off table started in profile_above.
function template_profile_below()
{
  echo '</div>
    <div class="clear"></div>';
}

// This template displays users details without any option to edit them.
function template_summary()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;
 	 
	 	$settings['avawidth'] = ($modSettings['avatar_max_width_upload'] ? $modSettings['avatar_max_width_upload'] : '100');
		$settings['avaheight'] = ($modSettings['avatar_max_height_upload'] ? $modSettings['avatar_max_height_upload'] : '100');
	 
	 echo '<div class="epi">
							', $txt['summary'], ' - ', $context['member']['name'], '</div>'; 
	 echo '<div class="profile">';

	  if (!empty($context['member']['blurb']))
	 echo '<div class="problurb"><b>', $txt[228] ,': </b><i>', $context['member']['blurb'], '</i></div>';
	 
	  if (!empty($modSettings['titlesEnable']) && $context['member']['title'] != '')	 
	 echo '<div class="problurb"><b>', $txt['title1'], ': </b><i>', $context['member']['title'], '</i></div>';
	 	 
	 echo '<div class="profst">
	 <div class="profavatar" style="width:', $settings['avawidth'] , 'px;height:', $settings['avaheight'] , 'px;">', $context['member']['avatar']['image'], '</div>';
 
	 echo '<div class="proinfo">
	 <b>', $txt[68], ': </b>', $context['member']['name'], '<br />';

	 echo '<b>', $txt[86], ': </b>', $context['member']['posts'], ' (', $context['member']['posts_per_day'], ' ', $txt['posts_per_day'], ')<br />
	 <b>', $txt[87], ': </b>', (!empty($context['member']['group']) ? $context['member']['group'] : $context['member']['post_group']), '<br />';
	 
	 // If the person looking is allowed, they can check the members IP address and hostname.
	if ($context['can_see_ip'])
	 {
	 echo '<b>', $txt[512], ': </b><a href="', $scripturl, '?action=trackip;searchip=', $context['member']['ip'], '" target="_blank">', $context['member']['ip'], '</a><br />
	 <b>', $txt['hostname'], ': </b><span title="', $context['member']['hostname'], '" style="overflow: hidden; font-style: italic;">', $context['member']['hostname'], '</span><br />';
	 }
	 // If karma enabled show the members karma.
	if ($modSettings['karmaMode'] == '1')	 
	 { 
	  echo '<b>', $modSettings['karmaLabel'], ' </b>', ($context['member']['karma']['good'] - $context['member']['karma']['bad']), '<br />';
	 } 
	elseif ($modSettings['karmaMode'] == '2')
	 {
	  echo '<b>', $modSettings['karmaLabel'], ' </b>+', $context['member']['karma']['good'], '/-', $context['member']['karma']['bad'], '<br />';
	 }
	// Can they add this member as a buddy?
	if (!empty($context['can_have_buddy']) && !$context['user']['is_owner'])
		echo '
						&nbsp;&nbsp;<a href="', $scripturl, '?action=buddy;u=', $context['member']['id'], ';sesc=', $context['session_id'], '">[', $txt['buddy_' . ($context['member']['is_buddy'] ? 'remove' : 'add')], ']</a>';
	 echo '</div>';

	 echo '<div class="proinfo2">
	 <b>', $txt[513], ':</b>', $context['member']['icq']['link_text'], '<br />
	 <b>', $txt[603], ': </b>', $context['member']['aim']['link_text'], '<br />
	 <b>', $txt['MSN'], ': </b>', $context['member']['msn']['link_text'], '<br />
	 <b>', $txt[604], ': </b>', $context['member']['yim']['link_text'], '<br />
	 <b>', $txt[69], ': </b>';
	 // Only show the email address if it's not hidden.
	if ($context['member']['email_public'])
	 {
		echo '
						<a href="mailto:', $context['member']['email'], '">', $context['member']['email'], '</a>';
	 }					
	// ... Or if the one looking at the profile is an admin they can see it anyway.
	elseif (!$context['member']['hide_email'])
	 {	
		echo '
						<i><a href="mailto:', $context['member']['email'], '">', $context['member']['email'], '</a></i>';
	 }
	else
	 {
		echo '
						<i>', $txt[722], '</i>';
	 }					
	 echo '</div></div>';	 

      echo '<div class="proinfo4">
	  <b>', $txt[96], ': </b><a href="', $context['member']['website']['url'], '" target="_blank">', $context['member']['website']['title'], '</a><br />
	<b>', $txt[231], ': </b>', $context['member']['gender']['name'], '<br />
	<b>', $txt[420], ': </b>', $context['member']['age'] . ($context['member']['today_is_birthday'] ? ' &nbsp; <img src="' . $settings['images_url'] . '/bdaycake.gif" width="40" alt="" />' : ''), '<br />
	<b>', $txt[227], ': </b>', $context['member']['location'], '<br />
	<b>', $txt['local_time'], ': </b>', $context['member']['local_time'], '<br />';
	if (!empty($modSettings['userLanguage']))
	 {
		echo '
					<b>', $txt['smf225'], ':</b>
					', $context['member']['language'], '';
	 }				
	  
	  echo '</div>';

      echo '<div class="proinfo3">
	  <b>', $txt[113], ' </b> <i>', $context['can_send_pm'] ? '<a href="' . $context['member']['online']['href'] . '" title="' . $context['member']['online']['label'] . '">' : '', $settings['use_image_buttons'] ? '<img src="' . $context['member']['online']['image_href'] . '" alt="' . $context['member']['online']['text'] . '" valign="middle" />' : $context['member']['online']['text'], $context['can_send_pm'] ? '</a>' : '', $settings['use_image_buttons'] ? '<span class="smalltext"> ' . $context['member']['online']['text'] . '</span>' : '', '</i><br />';
	     echo '<span class="smalltext"><b>', $txt[233], ': </b>', $context['member']['registered'], '<br />
	  <b>', $txt['lastLoggedIn'], ': </b>', $context['member']['last_login'], '</span><br />';
	  // Is this member requiring activation and/or banned?
	if (!empty($context['activate_message']) || !empty($context['member']['bans']))
	{

		// If the person looking at the summary has permission, and the account isn't activated, give the viewer the ability to do it themselves.
		if (!empty($context['activate_message']))
			echo '				
						<span style="color: red;">', $context['activate_message'], '</span>&nbsp;(<a href="' . $scripturl . '?action=profile2;sa=activateAccount;userID=' . $context['member']['id'] . ';sesc=' . $context['session_id'] . '" ', ($context['activate_type'] == 4 ? 'onclick="return confirm(\'' . $txt['profileConfirm'] . '\');"' : ''), '>', $context['activate_link_text'], '</a>)<br />';

		// If the current member is banned, show a message and possibly a link to the ban.
		if (!empty($context['member']['bans']))
		{
			echo '
					<span style="color: red;">', $txt['user_is_banned'], '</span>&nbsp;[<a href="#" onclick="document.getElementById(\'ban_info\').style.display = document.getElementById(\'ban_info\').style.display == \'none\' ? \'\' : \'none\';return false;">' . $txt['view_ban'] . '</a>]
				
				<span id="ban_info" style="display:none;">					
						<b>', $txt['user_banned_by_following'], ':</b>';

			foreach ($context['member']['bans'] as $ban)
				echo '
						<br /><span class="smalltext">', $ban['explanation'], '</span>';
				echo '</span>';			
		}
	}

	 echo '</div>';
	  	
	 echo '<div class="proinfosign">
	 <b>', $txt[85], ': </b><br /><span class="smalltext">', $context['member']['signature'], '</span>';

     echo '</div>';

      echo '<div class="proinfomore">
	 <b>', $txt[597], ':</b><br />';
	 if (!$context['user']['is_owner'] && $context['can_send_pm'])
	  {
		echo '<span class="smalltext">
			<a href="', $scripturl, '?action=pm;sa=send;u=', $context['member']['id'], '">', $txt[688], '.</a><br />
			<br /></span>';
	  }		
	echo '<span class="smalltext">
			<a href="', $scripturl, '?action=profile;u=', $context['member']['id'], ';sa=showPosts">', $txt[460], ' ', $txt[461], '.</a><br />
			<a href="', $scripturl, '?action=profile;u=', $context['member']['id'], ';sa=statPanel">', $txt['statPanel_show'], '.</a><span><br />';

      echo '</div><div class="clear"></div>';		
 echo '</div>';

}

// Template for showing all the posts of the user, in chronological order.
function template_showPosts()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;
				
			echo '<div class="epi">', $txt['showPosts'], '</div>';			
					
			echo '<div class="profile">';
				
        	// Only show posts if they have made some!
	if (!empty($context['posts']))
	{	  
        echo'<div class="pageindex"><span class="pagenavbar">
				', $txt[139], ': ', $context['page_index'], '</span></div>';
	  // For every post to be displayed, give it its own subtable, and show the important details of the post.
		foreach ($context['posts'] as $post)
		{
                
		  		echo '<div class="proinfosp">';
				
				echo '<div class="proinfosp" style="border:none;">&nbsp;', $post['counter'], '&nbsp;<a href="', $scripturl, '#', $post['category']['id'], '">', $post['category']['name'], '</a> / <a href="', $scripturl, '?board=', $post['board']['id'], '.0">', $post['board']['name'], '</a> / <a href="', $scripturl, '?topic=', $post['topic'], '.', $post['start'], '#msg', $post['id'], '">', $post['subject'], '</a><br />
				', $txt[30], ': ', $post['time'], '
				</div>';
				
				echo '<div class="proinfosp" style="border:none">', $post['body'], '</div>';	
				echo '<div class="proinfosp" style="border:none"">
				<span class="buttons">';				
			if ($post['can_delete'])
				echo '
					<a href="', $scripturl, '?action=profile;u=', $context['current_member'], ';sa=showPosts;start=', $context['start'], ';delete=', $post['id'], ';sesc=', $context['session_id'], '" onclick="return confirm(\'', $txt[154], '?\');">' , $txt[31] , '</a> - ';
			if ($post['can_delete'] && ($post['can_mark_notify'] || $post['can_reply']))
				echo '';
			if ($post['can_reply'])
				echo '
					<a href="', $scripturl, '?action=post;topic=', $post['topic'], '.', $post['start'], '">' , $txt[146] , '</a> - 
					<a href="', $scripturl, '?action=post;topic=', $post['topic'], '.', $post['start'], ';quote=', $post['id'], ';sesc=', $context['session_id'], '">' , $txt[145] , '</a> - ';
			if ($post['can_reply'] && $post['can_mark_notify'])
				echo '';
			if ($post['can_mark_notify'])
				echo '
					<a href="' . $scripturl . '?action=notify;topic=' . $post['topic'] . '.' . $post['start'] . '">' , $txt[131]  , '</a>';
				
				   echo '</span></div>';								
				echo '</div>';		    		
		
        }		
	    echo'
		<div class="pageindex"><span class="pagenavbar">', $txt[139], ': ', $context['page_index'], '</span></div>';	
	}		
		 
			else 
			 echo '<div class="winbg">', $txt[170], '</div>';				
			
			echo '</div>';			
			
}

// Template for showing all the buddies of the current user.
function template_editBuddies()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;

	echo '<div class="epi">', $txt['editBuddies'], '</div>							
				<div class="profile">';

					// If they don't have any buddies don't list them!
	if (empty($context['buddies']))
		echo '
			
				<div class="winbg"><i><b>', $txt['no_buddies'], '</b></i></div>';
			    echo '<div class="proinfosp"><span>', $txt[68], ', ', $txt['online8'], ', ', $txt[69], ', 
				', $txt[513], ', ', $txt[603], ', ', $txt[604], ', ', $txt['MSN'], '<span></div>';
                 
	// Now loop through each buddy showing info on each.
	
	foreach ($context['buddies'] as $buddy)
	{
		echo '<div class="proinfosp">			
				', $buddy['link'], '
				<a href="', $buddy['online']['href'], '"><img src="', $buddy['online']['image_href'], '" alt="', $buddy['online']['label'], '" title="', $buddy['online']['label'], '" /></a>
				', ($buddy['hide_email'] ? '' : '<a href="mailto:' . $buddy['email'] . '"><img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt[69] . '" title="' . $txt[69] . ' ' . $buddy['name'] . '" /></a>'), '
				', $buddy['icq']['link'], '
				', $buddy['aim']['link'], '
				', $buddy['yim']['link'], '
				', $buddy['msn']['link'], '
				<a href="', $scripturl, '?action=profile;u=', $context['member']['id'], ';sa=editBuddies;remove=', $buddy['id'], '"><img src="', $settings['images_url'], '/icons/delete.gif" alt="', $txt['buddy_remove'], '" title="', $txt['buddy_remove'], '" /></a></div>';
		
	}

	// Add a new buddy?
	echo '<div class="proinfospc">
		<form action="', $scripturl, '?action=profile;u=', $context['member']['id'], ';sa=editBuddies" method="post" accept-charset="', $context['character_set'], '">
		
				', $txt['buddy_add'], '		
					<b>', $txt['who_member'], ':</b>
			
					<input type="text" name="new_buddy" id="new_buddy" size="25" />
					<a href="', $scripturl, '?action=findmember;input=new_buddy;quote=1;sesc=', $context['session_id'], '" onclick="return reqWin(this.href, 350, 400);"><img src="', $settings['images_url'], '/icons/assist.gif" alt="', $txt['find_members'], '" align="top" /></a>
		
					<input type="submit" value="', $txt['buddy_add_button'], '" />';
				
                echo '</form></div>';				
			echo '</div>';
	
}
// This template shows an admin information on a users IP addresses used and errors attributed to them.

function template_trackUser()
{
	global $context, $settings, $options, $scripturl, $txt;
		 
 	echo '<div class="epi">
							', $txt['view_ips_by'], ' ', $context['member']['name'], '</div>';
			
			echo '<div class="profile">
			        <div class="proinfosp">';
				echo '<b>', $txt['most_recent_ip'], ':</b> <a href="', $scripturl, '?action=trackip;searchip=', $context['last_ip'], '">', $context['last_ip'], '</a><br />
				<b>', $txt['ips_in_messages'], ':</b> ', (count($context['ips']) > 0 ? implode(', ', $context['ips']) : '(' . $txt['none'] . ')'), '<br />
				<b>', $txt['ips_in_errors'], ':</b> ', (count($context['error_ips']) > 0 ? implode(', ', $context['error_ips']) : '(' . $txt['none'] . ')'), '<br />
				<b>', $txt['members_in_range'], ':</b> ', (count($context['members_in_range']) > 0 ? implode(', ', $context['members_in_range']) : '(' . $txt['none'] . ')'), '';
									
			echo '</div></div>';
			
		echo '<div class="epi">', $txt['errors_by'], ' ', $context['member']['name'], '</div>';			
			
			echo '<div class="profile">
			       <div class="proinfosp" style="font-size:12px;">', $txt['errors_desc'],'</div> 
					<div class="proinfosp">
					<div class="pageindex"><span class="pagenavbar">
				', $txt[139], ': ', $context['page_index'], '</span></div>';					
					
			// If there arn't any messages just give a message stating this.
	if (empty($context['error_messages']))
		echo '
		        <div class="winbg"><i>', $txt['no_errors_from_user'], '</i></div>';	
			

	// Otherwise print every error message out.
	else
		// For every error message print the IP address that caused it, the message displayed and the date it occurred.
		foreach ($context['error_messages'] as $error)
			echo '<div class="proinfosp">
                   <div class="proinfosp" style="border:none">
					<b>', $txt['ip_address'], ':</b> <a href="', $scripturl, '?action=trackip;searchip=', $error['ip'], ';">', $error['ip'], '</a></div>
					<div class="proinfosp" style="border:none">
					<b>', $txt[72], ':</b> ', $error['message'], '
						<a href="', $error['url'], '">', $error['url'], '</a> &#187 <b>', $txt[317], ':</b> ', $error['time'], '</div>
						
				</div>';																				
					
			echo '</div></div>';	
	
}

// The template for trackIP, allowing the admin to see where/who a certain IP has been used.
function template_trackIP()
{
	global $context, $settings, $options, $scripturl, $txt;
		
	echo '
		<form action="', $scripturl, '?action=trackip" method="post" accept-charset="', $context['character_set'], '">';
		
		echo '<div class="epi">', $txt['trackIP'], '</div>';							
			
			echo '<div class="profile">
			        <div class="proinfosp"><b>
				', $txt['enter_ip'], ':</b>&nbsp;&nbsp;<input type="text" name="searchip" value="', $context['ip'], '" />&nbsp;&nbsp;<input type="submit" value="', $txt['trackIP'], '" />	
				</div></div></form>';
        	
	if ($context['single_ip'])
	{			
			echo '<div class="epi">
							', $txt['whois_title'], ' ', $context['ip'], '</div>';
			
			echo '<div class="profile">
			        <div class="proinfosp">';
				foreach ($context['whois_servers'] as $server)
			echo '
						<a href="', $server['url'], '" target="_blank"', isset($context['auto_whois_server']) && $context['auto_whois_server']['name'] == $server['name'] ? ' style="font-weight: bold;"' : '', '>', $server['name'], '</a><br />';	
			echo '</div></div>';
	}

		echo '<div class="epi">', $txt['members_from_ip'], ' ', $context['ip'], '</div>';						
			
			echo '<div class="profile">
			        <div class="proinfosp">';
					
        if (empty($context['ips']))
		echo '
				<div class="winbg"><i>', $txt['no_members_from_ip'], '</i></div>';
	else
		// Loop through each of the members and display them.
		foreach ($context['ips'] as $ip => $memberlist)
			echo '
				<b>', $txt['ip_address'], ':</b>
					<a href="', $scripturl, '?action=trackip;searchip=', $ip, ';">', $ip, '</a> &#187 <b>', $txt['display_name'], ':</b>
					', implode(', ', $memberlist), '';					
			echo '</div></div>';
			
			echo '<div class="epi">', $txt['messages_from_ip'], ' ', $context['ip'], '</div>';					
			
			echo '<div class="profile">';
			echo'<div class="proinfosp" style="font-size:12px;">
					', $txt['messages_from_ip_desc'], '</div>
			<div class="proinfosp">
				<div class="pageindex"><span class="pagenavbar">
				', $txt[139], ': ', $context['message_page_index'] ,'</span></div>';		
			
           	// No message means nothing to do!
	if (empty($context['messages']))
		echo '
				<div class="winbg"><i>', $txt['no_messages_from_ip'], '</i></div>';
	else
		// For every message print the IP, member who posts it, subject (with link) and date posted.
		foreach ($context['messages'] as $message)
			echo '<div class="sp1" style="margin:0 0 5px 0;">	
				<div class="labs l"><b>', $txt['ip_address'], ':</b>
				<a href="', $scripturl, '?action=trackip;searchip=', $message['ip'], '">', $message['ip'], '</a> &#187 <b>', $txt['rtm8'], ':</b> ', $message['member']['link'], '
					</div><div class="clear"></div>
					<div class="post">	
					<b>', $txt[319], ':</b>
						<a href="', $scripturl, '?topic=', $message['topic'], '.msg', $message['id'], '#msg', $message['id'], '">', $message['subject'], '
						</a> &#187 <b>', $txt[317], ':</b>	', $message['time'], '
				</div></div>';					
			echo '</div></div>';

    echo '<div class="epi">', $txt['errors_from_ip'], ' ', $context['ip'], '</div>';							
			
			echo '<div class="profile">';
			echo '<div class="proinfosp" style="font-size:12px;">', $txt['errors_from_ip_desc'], '</div>
			<div class="proinfosp">
			<div class="pageindex"><span class="pagenavbar">
				', $txt[139], ': ', $context['error_page_index'], '</span></div>';		
				
				if (empty($context['error_messages']))
		echo '
				<div class="winbg"><i>', $txt['no_errors_from_ip'], '</i></div>';
	else
		// For each error print IP address, member, message received and date caused.
		foreach ($context['error_messages'] as $error)
		
			echo '<div class="sp1" style="margin:0 0 5px 0;">	
				<div class="labs l">				
				<b>', $txt['ip_address'], ':</b> <a href="', $scripturl, '?action=trackip;searchip=', $error['ip'], '">', $error['ip'], '</a> &#187 					
						<b>', $txt['display_name'], ':</b> ', $error['member']['link'], '
					</div><div class="clear"></div>
					<div class="post">
						<b>', $txt[72], ':</b> ', $error['message'], '
						<a href="', $error['url'], '">', $error['url'], '</a> &#187 					
					 <b>', $txt[317], ':</b> ', $error['error_time'], '
				</div></div>';
					
			echo '</div></div><div class="clear"></div>';			
	
}

function template_showPermissions()
{
	global $context, $settings, $options, $scripturl, $txt;

    echo '<div class="epi">
							', $txt['showPermissions'], '</div>';
			
			echo '<div class="profile">
			        <div class="proinfosp">';
		
		if ($context['member']['has_all_permissions'])
	
		echo '	<div class="winbg"><i>', $txt['showPermissions_all'], '</i></div>';			
				
		else
	{
		if (!empty($context['no_access_boards']))
		{
			echo '<b><i>', $txt['showPermissions_restricted_boards'], ':</i></b><br />';
			
			echo '<span class="smalltext"><b>', $txt['showPermissions_restricted_boards_desc'], '</b></span><br />';
				
				foreach ($context['no_access_boards'] as $no_access_board)
				echo ' 
					<a href="', $scripturl, '?board=', $no_access_board['id'], '">', $no_access_board['name'], '</a>', $no_access_board['is_last'] ? '' : ', <br />';
			
		}

        echo '<b>', $txt['showPermissions_general'], '</b>';							
			
			echo '<div class="proinfosp">';			        

        	if (!empty($context['member']['permissions']['general']))
		{
			echo '			
				', $txt['showPermissions_permission'], '<br />';	
        			foreach ($context['member']['permissions']['general'] as $permission)
			{
				echo '<div style="border-top:1px dashed #999;">
			
					', $permission['is_denied'] ? '<del>' . $permission['id'] . '</del>' : $permission['id'], '<br />
					<span class="smalltext">', $permission['name'], '</span>
				
				<span class="smalltext">';
				if ($permission['is_denied'])
					echo '
					<span style="color: red; font-weight: bold;">', $txt['showPermissions_denied'], ': </span>', implode(', ', $permission['groups']['denied']);
				else
					echo '
					<span style="font-weight: bold;">', $txt['showPermissions_given'], ': </span>', implode(', ', $permission['groups']['allowed']);
				echo '
				</span><br />
			</div>';
			}
		}

    	 else
		 
			echo '
			<div class="winbg">', $txt['showPermissions_none_general'], '</div>';

						// Board permission section.
		echo '
				<a name="board_permissions"></a>
					<form action="' . $scripturl . '?action=profile;u=', $context['member']['id'], ';sa=showPermissions#board_permissions" method="post" accept-charset="', $context['character_set'], '">
						<b>', $txt['showPermissions_select'], ':</b>
						<select name="board" onchange="if (this.options[this.selectedIndex].value) this.form.submit();">
							<option value="0"', $context['board'] == 0 ? ' selected="selected"' : '', '>', $txt['showPermissions_global'], '</option>';

		if (!empty($context['boards']))
			echo '
							<option value="" disabled="disabled">---------------------------</option>';			
	{
	
		// Fill the box with any local permission boards.
		foreach ($context['boards'] as $board)
			echo '
							<option value="', $board['id'], '"', $board['selected'] ? ' selected="selected"' : '', '>', $board['name'], '</option>';

		echo '
						</select>
					</form>';
  
				if (!empty($context['member']['permissions']['board']))
		{
			echo '			
				', $txt['showPermissions_permission'], '';
					foreach ($context['member']['permissions']['board'] as $permission)
			{
				echo '<div style="border-top:1px dashed #999;">
			
					', $permission['is_denied'] ? '<del>' . $permission['id'] . '</del>' : $permission['id'], '<br />
					<span class="smalltext">', $permission['name'], '</span>
				
				<span class="smalltext">';
				if ($permission['is_denied'])
				{
					echo '
					<span style="color: red; font-weight: bold;">', $txt['showPermissions_denied'], ': </span>', implode(', ', $permission['groups']['denied']), '<br />';
				}
				else
				{
					echo '
					<span style="font-weight: bold;">', $txt['showPermissions_given'], ': </span>', implode(', ', $permission['groups']['allowed']), '<br />';
				}
				echo '</span>
				     </div>';
			
			}
		}
   	
   else
			echo '
						<div class="winbg">', $txt['showPermissions_none_board'], '</div>';	
	   }				
	  }

	echo '</div></div></div>';

 }

// Template for user statistics, showing graphs and the like.
function template_statPanel()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;
		
	// If an error occured whilst trying to save previously, give the user a clue!
	if (!empty($context['post_errors']))
	{
		echo '<div class="winbg">', template_error_message(), '</div>';
	}


	 	echo '<div class="epi">
				', $txt['statPanel_generalStats'], ' - ', $context['member']['name'], '</div>';
			
			echo '<div class="profile">
			        <div class="proinfosp">
                            <b>', $txt['statPanel_total_time_online'], ':</b>
							', $context['time_logged_in'], '<br />
						
							<b>', $txt['statPanel_total_posts'], ':</b>
							', $context['num_posts'], ' ', $txt['statPanel_posts'], '<br />
						
							<b>', $txt['statPanel_total_topics'], ':</b>
							', $context['num_topics'], ' ', $txt['statPanel_topics'], '<br />
						
							<b>', $txt['statPanel_users_polls'], ':</b>
							', $context['num_polls'], ' ', $txt['statPanel_polls'], '<br />
						
							<b>', $txt['statPanel_users_votes'], ':</b>
							', $context['num_votes'], ' ', $txt['statPanel_votes'], '
            </div></div>';
							
		echo '<div class="epi">
							', $txt['statPanel_activityTime'], '</div>';
			
			echo '<div class="profile">
			        <div class="proinfosp" style="height:190px;">';
			
			// If they haven't post at all, don't draw the graph.
	if (empty($context['posts_by_time']))
		echo '
				<div class="winbg">', $txt['statPanel_noPosts'], '</div>';
							
	// Otherwise do!
	else
	{
		echo '<b>', $txt['statPanel_timeOfDay'], '</b>';
	// Loops through each hour drawing the bar to the correct height.
		foreach ($context['posts_by_time'] as $time_of_day)
		{
				$tof=($time_of_day['posts_percent']*1.5)+16;
               				
							echo '<div class="profbar" style="height:', $tof ,'px;"><div class="profbarsp"> ', $time_of_day['hour'], '</div></div>';			
									
	   }	
	
    }
			
			echo '</div></div>';

     		echo '<div class="epi">', $txt['statPanel_topBoards'], '</div>';							
			
			echo '<div class="profile">
			        <div class="proinfosp">';
			
			     	if (empty($context['popular_boards']))
							echo '<div class="winbg">', $txt['statPanel_noPosts'], '</div>';
			        	else
	{
		// Draw a bar for every board.
		foreach ($context['popular_boards'] as $board)
		{
			$pp = $board['posts_percent']+3;
			echo '', $board['link'],'
			<div class="profbar2" style="width:', $pp ,'px;">
					', empty($context['hide_num_posts']) ? $board['posts'] : '', '

						</div>';
		}
	}
			
			echo '</div></div><div class="clear"></div>';

       			echo '<div class="epi">', $txt['statPanel_topBoardsActivity'], '</div>';						
			
			echo '<div class="profile">
			        <div class="proinfosp">';
			
			     	if (empty($context['board_activity']))
						echo '<div class="winbg">', $txt['statPanel_noPosts'], '</div>';
			
			else
	{
		// Draw a bar for every board.
		foreach ($context['board_activity'] as $activity)
		{
			echo '', $activity['link'], '
			      <div class="profbar2" style="width:', $activity['percent'] ,'px;">
						
							', $activity['percent'], '%</div>';						
		}
	}
			
			echo '</div></div>'; 			
			
}

// Template for changing user account information.
function template_account()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;

		// Javascript for checking if password has been entered / taking admin powers away from themselves.
	echo '
		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
			function checkProfileSubmit()
			{';

	// If this part requires a password, make sure to give a warning.
	if ($context['user']['is_owner'] && $context['require_password'])
		echo '
				// Did you forget to type your password?
				if (document.forms.creator.oldpasswrd.value == "")
				{
					alert("', $txt['smf244'], '");
					return false;
				}';

	// This part checks if they are removing themselves from administrative power on accident.
	if ($context['allow_edit_membergroups'] && $context['user']['is_owner'] && $context['member']['group'] == 1)
		echo '
				if (typeof(document.forms.creator.ID_GROUP) != "undefined" && document.forms.creator.ID_GROUP.value != "1")
					return confirm("', $txt['deadmin_confirm'], '");';

	echo '
				return true;
			}
		// ]]></script>';
	
		echo '
		<form action="', $scripturl, '?action=profile2" method="post" accept-charset="', $context['character_set'], '" name="creator" id="creator" onsubmit="return checkProfileSubmit();">';
	
	echo '<div class="epi">', $txt[79], '</div>';
			
			echo '<div class="profile"><div class="proinfosp" style="font-size:12px;">
			', $txt['account_info'], '</div>
			        <div class="proinfosp">';					
					
					// Only show these settings if you're allowed to edit the account itself (not just the membergroups).
	if ($context['allow_edit_account'])
	{
		if ($context['user']['is_admin'] && !empty($context['allow_edit_username']))
			echo '				
				<span style="color:red;">', $txt['username_warning'], '</span>						
				<b>', $txt[35], ': </b>							
				<input type="text" name="memberName" size="30" value="', $context['member']['username'], '" />';
							
		else
			echo '						
					<b>', $txt[35], ': </b>', $context['member']['username'], '', $context['user']['is_admin'] ? '
				<span class="smalltext">(<a href="' . $scripturl . '?action=profile;u=' . $context['member']['id'] . ';sa=account;changeusername" style="font-style: italic;">' . $txt['username_change'] . '</a>)</span>' : '', '<br /><span class="smalltext">', $txt[518], '</span>';
		echo '<br /><b>', $txt[68], ':</b>  							
									<b', (isset($context['modify_error']['no_name']) || isset($context['modify_error']['name_taken']) ? ' style="color: red;"' : ''), '></b>
																	
								', ($context['allow_edit_name'] ? '<input type="text" name="realName" size="30" value="' . $context['member']['name'] . '" maxlength="60" />' : $context['member']['name']), '
				';

		// Allow the administrator to change the date they registered on and their post count.
		if ($context['user']['is_admin'])
			echo '<br />							
								<b>', $txt[233], ':</b>
								<input type="text" name="dateRegistered" size="30" value="', $context['member']['registered'], '" /><br />							
								<b>', $txt[86], ': </b>
								<input type="text" name="posts" size="4" value="', $context['member']['posts'], '" />';							

		// Only display if admin has enabled "user selectable language".
		if (!empty($modSettings['userLanguage']) && count($context['languages']) > 1)
		{
			echo '
							<b>', $txt[349], ':</b>								
									<select name="lngfile">';

			// Fill a select box with all the languages installed.
			foreach ($context['languages'] as $language)
				echo '
										<option value="', $language['filename'], '"', $language['selected'] ? ' selected="selected"' : '', '>', $language['name'], '</option>';
			echo '</select>';																	
							
		}
	}
				
			echo '</div>';
			
			echo '';
			
			// Only display member group information/editing with the proper permissions.
	if ($context['allow_edit_membergroups'])
	{
		echo '	<div class="proinfosp">						
									<b>', $txt['primary_membergroup'], ': </b>
								
								
									<select name="ID_GROUP">';
		// Fill the select box with all primary member groups that can be assigned to a member.
		foreach ($context['member_groups'] as $member_group)
			echo '
										<option value="', $member_group['id'], '"', $member_group['is_primary'] ? ' selected="selected"' : '', '>
											', $member_group['name'], '
										</option>';
		echo '</select><br /><span class="smalltext">(<a href="', $scripturl, '?action=helpadmin;help=moderator_why_missing" onclick="return reqWin(this.href);">', $txt['moderator_why_missing'], '</a>)</span><br />
							
								<b>', $txt['additional_membergroups'], ':</b>
								
									<div id="additionalGroupsList">
										<input type="hidden" name="additionalGroups[]" value="0" />';
		// For each membergroup show a checkbox so members can be assigned to more than one group.
		foreach ($context['member_groups'] as $member_group)
			if ($member_group['can_be_additional'])
				echo '
										<label for="additionalGroups-', $member_group['id'], '"><input type="checkbox" name="additionalGroups[]" value="', $member_group['id'], '" id="additionalGroups-', $member_group['id'], '"', $member_group['is_additional'] ? ' checked="checked"' : '', ' class="check" /> ', $member_group['name'], '</label><br />';
		echo '
									</div>
									<a href="javascript:void(0);" onclick="document.getElementById(\'additionalGroupsList\').style.display = \'block\'; document.getElementById(\'additionalGroupsLink\').style.display = \'none\'; return false;" id="additionalGroupsLink" style="display: none;">', $txt['additional_membergroups_show'], '</a>
									<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
										document.getElementById("additionalGroupsList").style.display = "none";
										document.getElementById("additionalGroupsLink").style.display = "";
									// ]]></script>';
		echo '</div>';						
	}			
			
			echo '<div class="proinfosp">';
			
			// Show this part if you're not only here for assigning membergroups.
	if ($context['allow_edit_account'])
	{
		// Show email address box.
		echo '	<span class="smalltext">', $txt[679], '</span><br />						
				<b', (isset($context['modify_error']['bad_email']) || isset($context['modify_error']['no_email']) || isset($context['modify_error']['email_taken']) ? ' style="color: red;"' : ''), '>', $txt[69], ': </b>
			<input type="text" name="emailAddress" size="30" value="', $context['member']['email'], '" />
			<br />';

		// If the user is allowed to hide their email address from the public give them the option to here.
		if ($context['allow_hide_email'])
		{
			echo '
							
								<b>', $txt[721], '</b>
								<input type="hidden" name="hideEmail" value="0" /><input type="checkbox" name="hideEmail"', $context['member']['hide_email'] ? ' checked="checked"' : '', ' value="1" class="check" />
							<br />';
	}

		// Option to show online status - if they are allowed to.
		if ($context['allow_hide_online'])
		{
			echo '
							
								<b>', $txt['show_online'], '</b>
								<input type="hidden" name="showOnline" value="0" /><input type="checkbox" name="showOnline"', $context['member']['show_online'] ? ' checked="checked"' : '', ' value="1" class="check" />
							';
		}

		echo '</div><div class="proinfosp">';
		
		// Show boxes so that the user may change his or her password.
		echo '<span class="smalltext">', $txt[596], '</span><br />						
								<b', (isset($context['modify_error']['bad_new_password']) ? ' style="color: red;"' : ''), '>', $txt[81], ': </b>
								<input type="password" name="passwrd1" size="20" /><br />
							
								<b>', $txt[82], ': </b>
								<input type="password" name="passwrd2" size="20" />';

		echo '</div><div class="proinfosp">';
		
		// This section allows the user to enter secret question/answer so they can reset a forgotten password.
		echo '<span class="smalltext">', $txt['secret_desc'], '</span><br />
							<b>', $txt['pswd1'], ':</b>
								<input type="text" name="secretQuestion" size="50" value="', $context['member']['secret_question'], '" /><br /><span class="smalltext">', $txt['secret_desc2'], '</span><br />
							<b>', $txt['pswd2'], ':</b>
								<input type="text" name="secretAnswer" size="20" /><span class="smalltext" style="margin-left: 4ex;"><a href="', $scripturl, '?action=helpadmin;help=secret_why_blank" onclick="return reqWin(this.href);">', $txt['secret_why_blank'], '</a></span>
							';
	}
	
	echo '</div><div class="proinfosp" style="border:none;">';
	
	// Show the standard "Save Settings" profile button.
	template_profile_save();

				echo '</div></div>
			</form>';
	
}

// Template for forum specific options - avatar, signature etc.
function template_forumProfile()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;

	echo '		<form action="', $scripturl, '?action=profile2" method="post" accept-charset="', $context['character_set'], '" name="creator" id="creator" enctype="multipart/form-data">
	<div class="epi">
							', $txt[79], '</div>';
			
			echo '<div class="profile">
			        <div class="proinfosp" style="font-size:12px;">
				', $txt['forumProfile_info'], '</div>';	
						
          //avatar select start---------------------------------------------------
             echo '<div class="proinfosp">';

			 			// This is the avatar selection table that is only displayed if avatars are enabled!
	if (!empty($context['member']['avatar']['allow_server_stored']) || !empty($context['member']['avatar']['allow_upload']) || !empty($context['member']['avatar']['allow_external']))
	{
		// If users are allowed to choose avatars stored on the server show selection boxes to choice them from.
		if (!empty($context['member']['avatar']['allow_server_stored']))
		{
			echo '						
										<input type="radio" name="avatar_choice" id="avatar_choice_server_stored" value="server_stored"', ($context['member']['avatar']['choice'] == 'server_stored' ? ' checked="checked"' : ''), ' class="check" />
									
											<b', (isset($context['modify_error']['bad_avatar']) ? ' style="color: red;"' : ''), '><label for="avatar_choice_server_stored">', $txt[229], ':</label></b>
			<div class="proinfosp" style="border:none;">	
						<img name="avatar" id="avatar" src="', !empty($context['member']['avatar']['allow_external']) && $context['member']['avatar']['choice'] == 'external' ? $context['member']['avatar']['external'] : $modSettings['avatar_url'] . '/blank.gif', '" alt="Do Nothing" />								
								
											<select name="cat" id="cat" size="10" onchange="changeSel(\'\');" onfocus="selectRadioByName(document.forms.creator.avatar_choice, \'server_stored\');">';
			// This lists all the file catergories.
			foreach ($context['avatars'] as $avatar)
				echo '
												<option value="', $avatar['filename'] . ($avatar['is_dir'] ? '/' : ''), '"', ($avatar['checked'] ? ' selected="selected"' : ''), '>', $avatar['name'], '</option>';
			echo '
											</select>
										
											<select name="file" id="file" size="10" style="display: none;" onchange="showAvatar()" onfocus="selectRadioByName(document.forms.creator.avatar_choice, \'server_stored\');" disabled="disabled"><option></option></select>
							</div>
								';
		}

		 //avatar select and-----------------------------------------------------------------------
 			 echo '</div>';
		
		     echo '<div class="proinfosp">';
		
		// If the user can link to an off server avatar, show them a box to input the address.
		if (!empty($context['member']['avatar']['allow_external']))
		{
			echo '<input type="radio" name="avatar_choice" id="avatar_choice_external" value="external"', ($context['member']['avatar']['choice'] == 'external' ? ' checked="checked"' : ''), ' class="check" />
										<b><label for="avatar_choice_external">', $txt[475], ':</label></b>
						<br /><span class="smalltext">', $txt[474], '</span>
									<input type="text" name="userpicpersonal" size="45" value="', $context['member']['avatar']['external'], '" onfocus="selectRadioByName(document.forms.creator.avatar_choice, \'external\');" onchange="if (typeof(previewExternalAvatar) != \'undefined\') previewExternalAvatar(this.value);" />';
								
		}
			
			echo '</div>';

            echo '<div class="proinfosp">';
		// If the user is able to upload avatars to the server show them an upload box.
		if (!empty($context['member']['avatar']['allow_upload']))
			echo '
							
										<input type="radio" name="avatar_choice" id="avatar_choice_upload" value="upload"', ($context['member']['avatar']['choice'] == 'upload' ? ' checked="checked"' : ''), ' class="check" />
					<b><label for="avatar_choice_upload">', $txt['avatar_will_upload'], ':</label></b>			
								
									<div class="proinfosp" style="border:none;">', ($context['member']['avatar']['ID_ATTACH'] > 0 ? '<img src="' . $context['member']['avatar']['href'] . '"/></div><input type="hidden" name="ID_ATTACH" value="' . $context['member']['avatar']['ID_ATTACH'] . '" />' : ''), '
									<input type="file" size="48" name="attachment" value="" onfocus="selectRadioByName(document.forms.creator.avatar_choice, \'upload\');" />';
								
	}
             echo '</div>';							
           			
				// Personal text...
	echo '<div class="proinfosp">							
								<b>', $txt[228], ': </b>
								<input type="text" name="personalText" size="50" maxlength="50" value="', $context['member']['blurb'], '" />';
			
	// Gender, birthdate and location.
	echo '<br />						
									<b>', $txt[563], ':</b>
									<span class="smalltext">', $txt[566], ' - ', $txt[564], ' - ', $txt[565], '</span>								
								<span class="smalltext">
									<input type="text" name="bday3" size="4" maxlength="4" value="', $context['member']['birth_date']['year'], '" /> -
									<input type="text" name="bday1" size="2" maxlength="2" value="', $context['member']['birth_date']['month'], '" /> -
									<input type="text" name="bday2" size="2" maxlength="2" value="', $context['member']['birth_date']['day'], '" />
								</span><br />
							<b>', $txt[227], ': </b>
								<input type="text" name="location" size="50" value="', $context['member']['location'], '" /><br />
							<b>', $txt[231], ': </b>								
									<select name="gender" size="1">
										<option value="0"></option>
										<option value="1"', ($context['member']['gender']['name'] == 'm' ? ' selected="selected"' : ''), '>', $txt[238], '</option>
										<option value="2"', ($context['member']['gender']['name'] == 'f' ? ' selected="selected"' : ''), '>', $txt[239], '</option>
									</select>';									
			echo '</div>';

			echo '<div class="proinfosp">';
				// All the messenger type contact info.
	echo '
							<b>', $txt[513], ': </b>
								<input type="text" name="ICQ" size="24" value="', $context['member']['icq']['name'], '" />&#32<span class="smalltext">', $txt[600], '</span><br />
							<b>', $txt[603], ': </b>
								<input type="text" name="AIM" maxlength="16" size="24" value="', $context['member']['aim']['name'], '" />&#32<span class="smalltext">', $txt[601], '</span><br />
								<b>', $txt['MSN'], ': </b>
								<input type="text" name="MSN" size="24" value="', $context['member']['msn']['name'], '" />&#32<span class="smalltext">', $txt['smf237'], '.</span><br />
								<b>', $txt[604], ': </b>
								<input type="text" name="YIM" maxlength="32" size="24" value="', $context['member']['yim']['name'], '" />&#32<span class="smalltext">', $txt[602], '</span><br /><br />
								
								<b>', $txt[83], ': </b><br />
								<span class="smalltext">', $txt[598], '</span><br />								
								<input type="text" name="websiteTitle" size="50" value="', $context['member']['website']['title'], '" /><br /><br />
								<b>', $txt[84], ': </b><br />
								<span class="smalltext">', $txt[599], '</span><br />								
								<input type="text" name="websiteUrl" size="50" value="', $context['member']['website']['url'], '" />';

            // If karma is enabled let the admin edit it...
	if ($context['user']['is_admin'] && !empty($modSettings['karmaMode']))
	{
		echo '<br /><br />
							<b>', $modSettings['karmaLabel'], '</b>
							
									', $modSettings['karmaApplaudLabel'], ' <input type="text" name="karmaGood" size="4" value="', $context['member']['karma']['good'], '" onchange="setInnerHTML(document.getElementById(\'karmaTotal\'), this.value - this.form.karmaBad.value);" style="margin-right: 2ex;" /> ', $modSettings['karmaSmiteLabel'], ' <input type="text" name="karmaBad" size="4" value="', $context['member']['karma']['bad'], '" onchange="this.form.karmaGood.onchange();" /><br />
									(', $txt[94], ': <span id="karmaTotal">', ($context['member']['karma']['good'] - $context['member']['karma']['bad']), '</span>)';								
								
	}	

	// Input box for custom titles, if they can edit it...
	if (!empty($modSettings['titlesEnable']) && $context['allow_edit_title'])
		echo '<br /><br />
							<b>' . $txt['title1'] . ': </b>
								<td><input type="text" name="usertitle" size="50" value="' . $context['member']['title'] . '" /><br />';
			echo '</div>';
						
			echo '<div class="proinfosp">';			
			

	// Show the signature box.
	echo '				
									<b>', $txt[85], ':</b>
									<span class="smalltext">', $txt[606], '</span><br />
									<br />';

	if ($context['show_spellchecking'])
		echo '
									<input type="button" value="', $txt['spell_check'], '" onclick="spellCheck(\'creator\', \'signature\');" />';

	echo '
									<textarea class="editor" onkeyup="calcCharLeft();" name="signature" rows="5" cols="50">', $context['member']['signature'], '</textarea><br />';

	// If there is a limit at all!
	if (!empty($context['max_signature_length']))
		echo '
									<span class="smalltext">', $txt[664], ' <span id="signatureLeft">', $context['max_signature_length'], '</span></span>';

	// Load the spell checker?
	if ($context['show_spellchecking'])
		echo '
									<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/spellcheck.js"></script>';

	// Some javascript used to count how many characters have been used so far in the signature.
	echo '
									<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
										function tick()
										{
											if (typeof(document.forms.creator) != "undefined")
											{
												calcCharLeft();
												setTimeout("tick()", 1000);
											}
											else
												setTimeout("tick()", 800);
										}

										function calcCharLeft()
										{
											var maxLength = ', $context['max_signature_length'], ';
											var oldSignature = "", currentSignature = document.forms.creator.signature.value;

											if (!document.getElementById("signatureLeft"))
												return;

											if (oldSignature != currentSignature)
											{
												oldSignature = currentSignature;

												if (currentSignature.replace(/\r/, "").length > maxLength)
													document.forms.creator.signature.value = currentSignature.replace(/\r/, "").substring(0, maxLength);
												currentSignature = document.forms.creator.signature.value.replace(/\r/, "");
											}

											setInnerHTML(document.getElementById("signatureLeft"), maxLength - currentSignature.length);
										}

										setTimeout("tick()", 800);
									// ]]></script>';											
							
			echo '</div>';
			
			echo '<div class="proinfosp" style="border:none;">';
				template_profile_save();
			echo '</div>';
			
			//start javascript ---------------------------------------------------------------------------------------------------------------------------------------------------------------------
				/* If the user is allowed to choose avatars stored on the server, the below javascript is used to update the
		file listing of avatars as the user changes catergory. It also updates the preview image as they choose
		different files on the select box. */ 
	if (!empty($context['member']['avatar']['allow_server_stored']))
		echo '
			<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
				var files = ["' . implode('", "', $context['avatar_list']) . '"];
				var avatar = document.getElementById("avatar");
				var cat = document.getElementById("cat");
				var selavatar = "' . $context['avatar_selected'] . '";
				var avatardir = "' . $modSettings['avatar_url'] . '/";
				var size = avatar.alt.substr(3, 2) + " " + avatar.alt.substr(0, 2) + String.fromCharCode(117, 98, 116);
				var file = document.getElementById("file");

				if (avatar.src.indexOf("blank.gif") > -1)
					changeSel(selavatar);
				else
					previewExternalAvatar(avatar.src)

				function changeSel(selected)
				{
					if (cat.selectedIndex == -1)
						return;

					if (cat.options[cat.selectedIndex].value.indexOf("/") > 0)
					{
						var i;
						var count = 0;

						file.style.display = "inline";
						file.disabled = false;

						for (i = file.length; i >= 0; i = i - 1)
							file.options[i] = null;

						for (i = 0; i < files.length; i++)
							if (files[i].indexOf(cat.options[cat.selectedIndex].value) == 0)
							{
								var filename = files[i].substr(files[i].indexOf("/") + 1);
								var showFilename = filename.substr(0, filename.lastIndexOf("."));
								showFilename = showFilename.replace(/[_]/g, " ");

								file.options[count] = new Option(showFilename, files[i]);

								if (filename == selected)
								{
									if (file.options.defaultSelected)
										file.options[count].defaultSelected = true;
									else
										file.options[count].selected = true;
								}

								count++;
							}

						if (file.selectedIndex == -1 && file.options[0])
							file.options[0].selected = true;

						showAvatar();
					}
					else
					{
						file.style.display = "none";
						file.disabled = true;
						document.getElementById("avatar").src = avatardir + cat.options[cat.selectedIndex].value;
						document.getElementById("avatar").style.width = "";
						document.getElementById("avatar").style.height = "";
					}
				}

				function showAvatar()
				{
					if (file.selectedIndex == -1)
						return;

					document.getElementById("avatar").src = avatardir + file.options[file.selectedIndex].value;
					document.getElementById("avatar").alt = file.options[file.selectedIndex].text;
					document.getElementById("avatar").alt += file.options[file.selectedIndex].text == size ? "!" : "";
					document.getElementById("avatar").style.width = "";
					document.getElementById("avatar").style.height = "";
				}

				function previewExternalAvatar(src)
				{
					if (!document.getElementById("avatar"))
						return;

					var maxHeight = ', !empty($modSettings['avatar_max_height_external']) ? $modSettings['avatar_max_height_external'] : 0, ';
					var maxWidth = ', !empty($modSettings['avatar_max_width_external']) ? $modSettings['avatar_max_width_external'] : 0, ';
					var tempImage = new Image();

					tempImage.src = src;
					if (maxWidth != 0 && tempImage.width > maxWidth)
					{
						document.getElementById("avatar").style.height = parseInt((maxWidth * tempImage.height) / tempImage.width) + "px";
						document.getElementById("avatar").style.width = maxWidth + "px";
					}
					else if (maxHeight != 0 && tempImage.height > maxHeight)
					{
						document.getElementById("avatar").style.width = parseInt((maxHeight * tempImage.width) / tempImage.height) + "px";
						document.getElementById("avatar").style.height = maxHeight + "px";
					}
					document.getElementById("avatar").src = src;
				}
			// ]]></script>';
	echo '</div></form>';		

	if ($context['show_spellchecking'])
		echo '<div class="proinfosp">
		<form action="', $scripturl, '?action=spellcheck" method="post" accept-charset="', $context['character_set'], '" name="spell_form" id="spell_form" target="spellWindow"><input type="hidden" name="spellstring" value="" /></form></div>';
					
	
}

// Template for showing theme settings. Note: template_options() actually adds the theme specific options.
function template_theme()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;

			echo '
	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
		var localTime = new Date();
		var serverTime = new Date("', $context['current_forum_time'], '");
		
		function autoDetectTimeOffset()
		{
			// Get the difference between the two, set it up so that the sign will tell us who is ahead of who
			var diff = Math.round((localTime.getTime() - serverTime.getTime())/3600000);

			// Make sure we are limiting this to one day\'s difference
			diff %= 24;

			document.forms.creator.timeOffset.value = diff;
		}
	// ]]></script>';
	
            echo '		<form action="', $scripturl, '?action=profile2" method="post" accept-charset="', $context['character_set'], '" name="creator" id="creator">
			<div class="epi">
							', $txt[79], '</div>';
			
			echo '<div class="profile">
			        <div class="proinfosp" style="font-size:12px;">', $txt['theme_info'], '</div>';
			echo '<div class="proinfosp">';

				// Are they allowed to change their theme? // !!! Change to permission?
	if ($modSettings['theme_allow'] || $context['user']['is_admin'])
	{
		echo '
							<b>', $txt['theme1a'], ':</b> ', $context['member']['theme']['name'], ' <a href="', $scripturl, '?action=theme;sa=pick;u=', $context['member']['id'], ';sesc=', $context['session_id'], '"><b>', $txt['theme1b'], '</b></a>';
							
	}			
			echo '</div>';

			echo '<div class="proinfosp">';

				// Are multiple smiley sets enabled?
	if (!empty($modSettings['smiley_sets_enable']))
	{
		echo '
							
									<b>', $txt['smileys_current'], ':</b>
									<select name="smileySet" onchange="document.getElementById(\'smileypr\').src = this.selectedIndex == 0 ? \'', $settings['images_url'], '/blank.gif\' : \'', $modSettings['smileys_url'], '/\' + (this.selectedIndex != 1 ? this.options[this.selectedIndex].value : \'', !empty($settings['smiley_sets_default']) ? $settings['smiley_sets_default'] : $modSettings['smiley_sets_default'], '\') + \'/smiley.gif\';">';
		foreach ($context['smiley_sets'] as $set)
			echo '
										<option value="', $set['id'], '"', $set['selected'] ? ' selected="selected"' : '', '>', $set['name'], '</option>';
		echo '
									</select> <img id="smileypr" src="', $context['member']['smiley_set']['id'] != 'none' ? $modSettings['smileys_url'] . '/' . ($context['member']['smiley_set']['id'] != '' ? $context['member']['smiley_set']['id'] : (!empty($settings['smiley_sets_default']) ? $settings['smiley_sets_default'] : $modSettings['smiley_sets_default'])) . '/smiley.gif' : $settings['images_url'] . '/blank.gif', '" alt=":)" align="top" style="padding-left: 20px;" /><br />
							';
	}

	if ($modSettings['theme_allow'] || $context['user']['is_admin'] || !empty($modSettings['smiley_sets_enable']))
		echo '
							';

	// Allow the user to change the way the time is displayed.
	echo '
							<span class="smalltext">', $txt[479], '</span><br />
									<b>', $txt[486], ':</b>	
																	
					
						<a href="', $scripturl, '?action=helpadmin;help=time_format" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" align="', !$context['right_to_left'] ? 'left' : 'right', '" style="', !$context['right_to_left'] ? 'padding-right' : 'padding-left', ': 1ex;" /></a><br />	
					
					
					
					<select name="easyformat" onchange="document.forms.creator.timeFormat.value = this.options[this.selectedIndex].value;" style="margin-bottom: 4px;">								
									
									';
									
	// Help the user by showing a list of common time formats.
	foreach ($context['easy_timeformats'] as $time_format)
		echo '
		        	
		
										<option value="', $time_format['format'], '"', $time_format['format'] == $context['member']['time_format'] ? ' selected="selected"' : '', '>', $time_format['title'], '</option>';
	echo '
									</select><br />
								
									<input type="text" name="timeFormat" value="', $context['member']['time_format'], '" size="30" /><br /><br />
							<span class="smalltext">', $txt[519], '</span><br />
							<b', (isset($context['modify_error']['bad_offset']) ? ' style="color: red;"' : ''), '>
								
							', $txt[371], ':</b>
								<input type="text" name="timeOffset" size="5" maxlength="5" value="', $context['member']['time_offset'], '" /> <a href="javascript:void(0);" onclick="autoDetectTimeOffset(); return false;">', $txt['timeoffset_autodetect'], '</a><br /><br />', $txt[741], ': <i>', $context['current_forum_time'], '</i>
							';			
            echo '</div>';
			
			echo '<div class="proinfosp">';

            echo '							
												<input type="hidden" name="default_options[show_board_desc]" value="0" />
												<label for="show_board_desc"><input type="checkbox" name="default_options[show_board_desc]" id="show_board_desc" value="1"', !empty($context['member']['options']['show_board_desc']) ? ' checked="checked"' : '', ' class="check" /> ', $txt[732], '</label><br />
						
												<input type="hidden" name="default_options[show_children]" value="0" />
												<label for="show_children"><input type="checkbox" name="default_options[show_children]" id="show_children" value="1"', !empty($context['member']['options']['show_children']) ? ' checked="checked"' : '', ' class="check" /> ', $txt['show_children'], '</label><br />
								
												<input type="hidden" name="default_options[show_no_avatars]" value="0" />
												<label for="show_no_avatars"><input type="checkbox" name="default_options[show_no_avatars]" id="show_no_avatars" value="1"', !empty($context['member']['options']['show_no_avatars']) ? ' checked="checked"' : '', ' class="check" /> ', $txt['show_no_avatars'], '</label><br />
										
												<input type="hidden" name="default_options[show_no_signatures]" value="0" />
												<label for="show_no_signatures"><input type="checkbox" name="default_options[show_no_signatures]" id="show_no_signatures" value="1"', !empty($context['member']['options']['show_no_signatures']) ? ' checked="checked"' : '', ' class="check" /> ', $txt['show_no_signatures'], '</label><br />
											';

	if ($settings['allow_no_censored'])
		echo '
									
												<input type="hidden" name="default_options[show_no_censored]" value="0" />
												<label for="show_no_censored"><input type="checkbox" name="default_options[show_no_censored]" id="show_no_censored" value="1"' . (!empty($context['member']['options']['show_no_censored']) ? ' checked="checked"' : '') . ' class="check" /> ' . $txt['show_no_censored'] . '</label>
											><br />';

	echo '
								
												<input type="hidden" name="default_options[return_to_post]" value="0" />
												<label for="return_to_post"><input type="checkbox" name="default_options[return_to_post]" id="return_to_post" value="1"', !empty($context['member']['options']['return_to_post']) ? ' checked="checked"' : '', ' class="check" /> ', $txt['return_to_post'], '</label><br />
									
												<input type="hidden" name="default_options[no_new_reply_warning]" value="0" />
												<label for="no_new_reply_warning"><input type="checkbox" name="default_options[no_new_reply_warning]" id="no_new_reply_warning" value="1"', !empty($context['member']['options']['no_new_reply_warning']) ? ' checked="checked"' : '', ' class="check" /> ', $txt['no_new_reply_warning'], '</label><br />
										
												<input type="hidden" name="default_options[view_newest_first]" value="0" />
												<label for="view_newest_first"><input type="checkbox" name="default_options[view_newest_first]" id="view_newest_first" value="1"', !empty($context['member']['options']['view_newest_first']) ? ' checked="checked"' : '', ' class="check" /> ', $txt['recent_posts_at_top'], '</label><br />
										
												<input type="hidden" name="default_options[view_newest_pm_first]" value="0" />
												<label for="view_newest_pm_first"><input type="checkbox" name="default_options[view_newest_pm_first]" id="view_newest_pm_first" value="1"', !empty($context['member']['options']['view_newest_pm_first']) ? ' checked="checked"' : '', ' class="check" /> ', $txt['recent_pms_at_top'], '</label><br />
										<label for="calendar_start_day">', $txt['calendar_start_day'], ':</label>
												<select name="default_options[calendar_start_day]" id="calendar_start_day">
													<option value="0"', empty($context['member']['options']['calendar_start_day']) ? ' selected="selected"' : '', '>', $txt['days'][0], '</option>
													<option value="1"', !empty($context['member']['options']['calendar_start_day']) && $context['member']['options']['calendar_start_day'] == 1 ? ' selected="selected"' : '', '>', $txt['days'][1], '</option>
													<option value="6"', !empty($context['member']['options']['calendar_start_day']) && $context['member']['options']['calendar_start_day'] == 6 ? ' selected="selected"' : '', '>', $txt['days'][6], '</option>
												</select><br />
									<label for="display_quick_reply">', $txt['display_quick_reply'], '</label>
												<select name="default_options[display_quick_reply]" id="display_quick_reply">
													<option value="0"', empty($context['member']['options']['display_quick_reply']) ? ' selected="selected"' : '', '>', $txt['display_quick_reply1'], '</option>
													<option value="1"', !empty($context['member']['options']['display_quick_reply']) && $context['member']['options']['display_quick_reply'] == 1 ? ' selected="selected"' : '', '>', $txt['display_quick_reply2'], '</option>
													<option value="2"', !empty($context['member']['options']['display_quick_reply']) && $context['member']['options']['display_quick_reply'] == 2 ? ' selected="selected"' : '', '>', $txt['display_quick_reply3'], '</option>
												</select><br />
										<label for="display_quick_mod">', $txt['display_quick_mod'], '</label>
												<select name="default_options[display_quick_mod]" id="display_quick_mod">
													<option value="0"', empty($context['member']['options']['display_quick_mod']) ? ' selected="selected"' : '', '>', $txt['display_quick_mod_none'], '</option>
													<option value="1"', !empty($context['member']['options']['display_quick_mod']) && $context['member']['options']['display_quick_mod'] == 1 ? ' selected="selected"' : '', '>', $txt['display_quick_mod_check'], '</option>
													<option value="2"', !empty($context['member']['options']['display_quick_mod']) && $context['member']['options']['display_quick_mod'] != 1 ? ' selected="selected"' : '', '>', $txt['display_quick_mod_image'], '</option>
												</select>
									';
	
			echo '</div>';
					
				echo '<div class="proinfosp" style="border:none;">';

		// Show the standard "Save Settings" profile button.
	template_profile_save();
	
    echo '</div>';	
			
			echo '</div></form>';
	
	
}

function template_notification()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;
	
	echo '<div class="epi">
							', $txt[79], '</div>';
			
			echo '<div class="profile">
			        <div class="proinfosp" style="font-size:12px;">					
					', $txt['notification_info'], '';
					
			echo '</div>';		
			
            echo '<form action="', $scripturl, '?action=profile2" method="post" accept-charset="', $context['character_set'], '"><div class="proinfosp">';

	// Allow notification on announcements to be disabled?
	if (!empty($modSettings['allow_disableAnnounce']))
		echo '
							<input type="hidden" name="notifyAnnouncements" value="0" />
							<label for="notifyAnnouncements"><input type="checkbox" id="notifyAnnouncements" name="notifyAnnouncements"', !empty($context['member']['notify_announcements']) ? ' checked="checked"' : '', ' class="check" /> ', $txt['notifyXAnn4'], '</label><br />';

	// More notification options.
	echo '
							<input type="hidden" name="notifyOnce" value="0" />
							<label for="notifyOnce"><input type="checkbox" id="notifyOnce" name="notifyOnce"', !empty($context['member']['notify_once']) ? ' checked="checked"' : '', ' class="check" /> ', $txt['notifyXOnce1'], '</label><br />

							<input type="hidden" name="default_options[auto_notify]" value="0" />
							<label for="auto_notify"><input type="checkbox" id="auto_notify" name="default_options[auto_notify]" value="1"', !empty($context['member']['options']['auto_notify']) ? ' checked="checked"' : '', ' class="check" /> ', $txt['auto_notify'], '</label><br />';

	if (empty($modSettings['disallow_sendBody']))
		echo '
							<input type="hidden" name="notifySendBody" value="0" />
							<label for="notifySendBody"><input type="checkbox" id="notifySendBody" name="notifySendBody"', !empty($context['member']['notify_send_body']) ? ' checked="checked"' : '', ' class="check" /> ', $txt['notify_send_body'], '</label><br />';

	echo '<br />
							<label for="notifyTypes">', $txt['notify_send_types'], ':</label>
							<select name="notifyTypes" id="notifyTypes">
								<option value="1"', $context['member']['notify_types'] == 1 ? ' selected="selected"' : '', '>', $txt['notify_send_type_everything'], '</option>
								<option value="2"', $context['member']['notify_types'] == 2 ? ' selected="selected"' : '', '>', $txt['notify_send_type_everything_own'], '</option>
								<option value="3"', $context['member']['notify_types'] == 3 ? ' selected="selected"' : '', '>', $txt['notify_send_type_only_replies'], '</option>
								<option value="4"', $context['member']['notify_types'] == 4 ? ' selected="selected"' : '', '>', $txt['notify_send_type_nothing'], '</option>
							</select><br /><br />
							
			<input type="submit" value="', $txt['notifyX1'], '" />
			<input type="hidden" name="sc" value="', $context['session_id'], '" />
			<input type="hidden" name="userID" value="', $context['member']['id'], '" />
			<input type="hidden" name="sa" value="', $context['menu_item_selected'], '" />
			</div></form>';														
							
            echo '<form action="', $scripturl, '?action=profile2" method="post" accept-charset="', $context['character_set'], '"><div class="proinfosp">';			
			
				if (!empty($context['topic_notifications']))
	{
		echo '<div class="labs lbq l">', $txt['notifications_topics'], '</div>
		
		<div class="cont l">
				<input type="checkbox" class="check" onclick="invertAll(this, this.form);" />			
							' . $txt[70] . '							
							</div>';
							
		foreach ($context['topic_notifications'] as $topic)
		{
			echo '<div class="cont l fx0"><input type="checkbox" name="notify_topics[]" value="', $topic['id'], '" class="check" />&#32<b>', $topic['link'] ,'</b>';								

			if ($topic['new'])
				echo '<span class="pagenav"><a href="', $topic['new_href'], '">', $txt[302], '</a></span>';

			echo '&#32<span class="smalltext"><i>' . $txt['smf88'] . ' ' . $topic['board']['link'] . '</i></span>
							
					' , $txt[109] , ' ' . $topic['poster']['link'] . '
							
								</div>';							
		}

		echo '<div class="pageindex"><span class="pagenavbar">									
								<b>', $txt[139], ':</b> ', $context['page_index'], '</span></div>
				<input type="submit" name="edit_notify_topics" value="', $txt['notifications_update'], '" />';	
							
	}
	else
		echo '							
								', $txt['notifications_topics_none'], '<br />
								<br />', $txt['notifications_topics_howto'], '<br />';							
							
	echo '				
					<input type="hidden" name="sc" value="', $context['session_id'], '" />
					<input type="hidden" name="userID" value="', $context['member']['id'], '" />
					<input type="hidden" name="sa" value="', $context['menu_item_selected'], '" />';	
		
			echo '</div></form>';			
				
		echo '<form action="', $scripturl, '?action=profile2" method="post" accept-charset="', $context['character_set'], '">';
		
		echo '<div class="proinfosp">';
		
		if (!empty($context['board_notifications']))
	{
		echo '<div class="labs lbq l">', $txt['notifications_boards'], '</div>
		<div class="cont l"><input type="checkbox" class="check" onclick="invertAll(this, this.form);" />' , $txt['smf82'] , '</div>';							
						
		foreach ($context['board_notifications'] as $board)
		{
			echo '<div class="cont l fx0"><input type="checkbox" name="notify_boards[]" value="', $board['id'], '" />&#32', $board['link'] ,'';			    

		if ($board['new'])
			echo '<span class="pagenav"><a href="', $board['href'], '">', $txt[302], '</a></span>';

		echo '</div>';			
						
		}

		echo '<br /><input type="submit" name="edit_notify_boards" value="', $txt['notifications_update'], '" />';
									
	}
	else
		echo '				
								', $txt['notifications_boards_none'], '<br />
								<br />', $txt['notifications_boards_howto'], '<br />
								<br />';
							
	echo '					
					<input type="hidden" name="sc" value="', $context['session_id'], '" />
					<input type="hidden" name="userID" value="', $context['member']['id'], '" />
					<input type="hidden" name="sa" value="', $context['menu_item_selected'], '" />';
        		
			 echo '</div></div></form>';			 
				
}	


// Template for options related to personal messages.
function template_pmprefs()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;
	
	echo '<form action="', $scripturl, '?action=profile2" method="post" accept-charset="', $context['character_set'], '" name="creator" id="creator">
	<div class="epi">', $txt[79], '</div>
				<div class="profile">';
				echo '<div class="proinfosp" style="font-size:12px;">', $txt['pmprefs_info'], '</div>';			
	echo '
		<div class="proinfosp">

									<b>', $txt[325], ':</b><br />
									<span class="smalltext">
										', $txt[326], '<br />
										<br />
										<a href="', $scripturl, '?action=findmember;input=pm_ignore_list;delim=\\\\n;sesc=', $context['session_id'], '" onclick="return reqWin(this.href, 350, 400);"><img src="', $settings['images_url'], '/icons/assist.gif" alt="', $txt['find_members'], '" align="middle" /> ', $txt['find_members'], '</a>
									</span><br />
								
									<textarea name="pm_ignore_list" id="pm_ignore_list" rows="10" cols="50">', $context['ignore_list'], '</textarea><br />';
							

	// Extra options available to the user for personal messages.
	echo '							
									<input type="hidden" name="default_options[copy_to_outbox]" value="0" />
									<label for="copy_to_outbox"><input type="checkbox" name="default_options[copy_to_outbox]" id="copy_to_outbox" value="1"', !empty($context['member']['options']['copy_to_outbox']) ? ' checked="checked"' : '', ' class="check" /> ', $txt['copy_to_outbox'], '</label><br />
									<input type="hidden" name="default_options[popup_messages]" value="0" />
									<label for="popup_messages"><input type="checkbox" name="default_options[popup_messages]" id="popup_messages" value="1"', !empty($context['member']['options']['popup_messages']) ? ' checked="checked"' : '', ' class="check" /> ', $txt['popup_messages'], '</label><br />
									<label for="pm_email_notify">', $txt[327], '</label>
									<select name="pm_email_notify" id="pm_email_notify">
										<option value="0"', empty($context['send_email']) ? ' selected="selected"' : '', '>', $txt['email_notify_never'], '</option>
										<option value="1"', !empty($context['send_email']) && ($context['send_email'] == 1 || (empty($modSettings['enable_buddylist']) && $context['send_email'] > 1)) ? ' selected="selected"' : '', '>', $txt['email_notify_always'], '</option>';

	if (!empty($modSettings['enable_buddylist']))
		echo '
										<option value="2"', !empty($context['send_email']) && $context['send_email'] > 1 ? ' selected="selected"' : '', '>', $txt['email_notify_buddies'], '</option>';

	echo '</select><br /><br />';							

	// Show the standard "Save Settings" profile button.
	template_profile_save();
                				
			echo '</div></div></form>';	

	
}

// Template to show for deleting a users account - now with added delete post capability!
function template_deleteAccount()
{
	global $context, $settings, $options, $scripturl, $txt, $scripturl;

	echo '	<form action="', $scripturl, '?action=profile2" method="post" accept-charset="', $context['character_set'], '" name="creator" id="creator">
	<div class="epi">
							', $txt['deleteAccount'], '</div>
				<div class="profile">';
	//echo '<div class="proinfosp">';		

	// If deleting another account give them a lovely info box.
	if (!$context['user']['is_owner'])
	echo '<div class="proinfosp">					
							', $txt['deleteAccount_desc'], '
					</div>';

	// If they are deleting their account AND the admin needs to approve it - give them another piece of info ;)
	if ($context['needs_approval'])
		echo '<div class="proinfosp">
								<span style="color:#FF0033;padding: 4px;"><b>', $txt['deleteAccount_approval'], '</b></span><br />
						</div>';

	// If the user is deleting their own account warn them first - and require a password!
	if ($context['user']['is_owner'])
	{
		echo '<div class="proinfosp">
								<span style="color: red;">', $txt['own_profile_confirm'], '</span><br /><br />
						
							<span class="windbg" align="', !$context['right_to_left'] ? 'right' : 'left', '">
								<b', (isset($context['modify_error']['bad_password']) || isset($context['modify_error']['no_password']) ? ' style="color: red;"' : ''), '>', $txt['smf241'], ': </b></span>
							
							<span class="winbg2" align="', !$context['right_to_left'] ? 'left' : 'right', '">
								<input type="password" name="oldpasswrd" size="20" />&nbsp;&nbsp;&nbsp;&nbsp;
								<input type="submit" value="', $txt[163], '" />
								<input type="hidden" name="sc" value="', $context['session_id'], '" />
								<input type="hidden" name="userID" value="', $context['member']['id'], '" />
								<input type="hidden" name="sa" value="', $context['menu_item_selected'], '" />
							</span></div>';
	}
	// Otherwise an admin doesn't need to enter a password - but they still get a warning - plus the option to delete lovely posts!
	else
	{
		echo '<div class="proinfosp">
								<span style="color: red; margin-bottom: 2ex;"><b>', $txt['deleteAccount_warning'], '</b></span></div>
						';

		// Only actually give these options if they are kind of important.
		if ($context['can_delete_posts'])
			echo '<div class="proinfosp">
						
								', $txt['deleteAccount_posts'], ': <select name="remove_type">
									<option value="none">', $txt['deleteAccount_none'], '</option>
									<option value="posts">', $txt['deleteAccount_all_posts'], '</option>
									<option value="topics">', $txt['deleteAccount_topics'], '</option>
								</select>
						</div>';

		echo '<div class="proinfosp">				
								<label for="deleteAccount"><input type="checkbox" name="deleteAccount" id="deleteAccount" value="1" class="check" onclick="if (this.checked) return confirm(\'', $txt['deleteAccount_confirm'], '\');" /> ', $txt['deleteAccount_member'], '.</label>
						
							<span class="windowbg2">
								<input type="submit" value="', $txt['smf138'], '" />
								<input type="hidden" name="sc" value="', $context['session_id'], '" />
								<input type="hidden" name="userID" value="', $context['member']['id'], '" />
								<input type="hidden" name="sa" value="', $context['menu_item_selected'], '" />
							</span></div>';
	}

			//echo '</div>';
			echo '</div></form>';
	
	
}

// Template for the password box/save button stuck at the bottom of every profile page.
function template_profile_save()
{
	global $context, $settings, $options, $txt;		

	// Only show the password box if it's actually needed.
	if ($context['user']['is_owner'] && $context['require_password'])
		echo '<span class="smalltext">', $txt['smf244'], '</span><br />
								
									<b', isset($context['modify_error']['bad_password']) || isset($context['modify_error']['no_password']) ? ' style="color: red;"' : '', '>', $txt['smf241'], ': </b>
									
								
									<input type="password" name="oldpasswrd" size="20" />';
	else echo '';
		
	echo '<span>
									<input type="submit" value="', $txt[88], '" />
									<input type="hidden" name="sc" value="', $context['session_id'], '" />
									<input type="hidden" name="userID" value="', $context['member']['id'], '" />
									<input type="hidden" name="sa" value="', $context['menu_item_selected'], '" />
								</span>';
	
}

// Small template for showing an error message upon a save problem in the profile.
function template_error_message()
{
	global $context, $txt;

	echo '
		<div class="winbg">
			<span style="text-decoration: underline;">', $txt['profile_errors_occurred'], ':</span>
			<ul>';

		// Cycle through each error and display an error message.
		foreach ($context['post_errors'] as $error)
			//if (isset($txt['profile_error_' . $error]))
				echo '
				<li>', $txt['profile_error_' . $error], '.</li>';

		echo '
			</ul>
		</div>';
	
}

?>